<?php
    session_start(); 
    if (isset($_SESSION['loginAdmin'])) {
        if ($_SESSION['loginAdmin']!='admin') {
            header('Location: loginadmin.php');
        }
    } else {
    header('Location: loginadmin.php');
    }

    include 'class/DBconn.php';
    include 'class/admin/ciselniky.php';
    include 'class/admin/obleceni.php';  
    include 'class/admin/produkty.php';  
    include 'class/admin/objednavky.php';
    include 'class/admin/nastaveni.php';
    include 'class/admin/komentare.php';  
    include 'class/admin/navrhy.php';  
    $db= new TDBoperations();

?>

<?php
    $ciselniky= new TCiselniky();
    $obleceni= new TObleceni();
    $produkty= new TProdukt();
    $objednavky= new Tobjednavky();
    $doprava= new Tdoprava();
    $komentare= new Tkomentare();
    $navrhy= new TnavrhyAdmin();
    $tabulka="";
    $content="";
    $bottom="";
    $addForm="";
    $pictures="";
    $cisFaktury="";
    $header= "<a href=\"loginadmin.php?odhlasit=admin\">odhlásit</a>";
    if(isset($_GET['exportXML']))
        $produkty->xmlExport();
    if(!isset($_GET['menu'])) $_GET['menu']="dashboard";
        switch($_GET['menu']){
//-----------------------------------------objednavky--------------------------------------------
            case "objednavky":{
                if(isset($_POST['odeslat']))
                    switch($_POST['odeslat']){
                        case "Ulož datumy":
                            $objednavky->saveDatum($_GET['selectId'], $_POST);
                        break;
                        case "Odebrat vybrané":
                            foreach($_POST as $key => $value)
                                if(is_numeric($key)) $db->Delete("objednavky", "id_objednavky=$key");                        
                        break;
                    }
                
                if(isset($_GET['selectId'])){
                    $cisFaktury= "
                        <div class=\"cisFaktury\">č. faktury: "
                        .$objednavky->getDatObjednavky($_GET['selectId'])
                        ."/". $_GET['selectId'] ."</div>
                    ";
                    $content= $objednavky->showObjednavka($_GET['selectId']);

                }else{
                    $priznak= isset($_GET['tabs']) ? $_GET['tabs'] : "";
                    $content= $objednavky->showObjednavky($priznak);
                }
                //dodelat ulozeni datumu
                include_once ("tpl/admin/objednavky_list.php");
            break;}
            
//-----------------------------------------produkty----------------------------------------------
            case "produkty": {
                if(!isset($_GET['tabs'])) 
                    $_GET['tabs']= "prehled";
                    
                switch($_GET['tabs']){     
                    case "prehled": {
                        if(isset($_POST['odeslat'])){
                            switch($_POST['odeslat']) {
                                case "Odebrat vybrané": { 
                                    foreach($_POST as $key => $value)
                                        if(is_numeric($key)) $db->Delete("produkty", "id_produkty=$key");
                                break;}
                                
                                case "Uložit": {
                                    $values= $_POST;
                                    // odstrani prebytecne hodnoty posilane POSTem
                                    $delKeys= array("barvy" => "", "velikost" => "", "odeslat" => "");
                                    $values= array_diff_key($values, $delKeys);
                                    
                                    $values['akce']= isset($_POST['akce']) ? 1 : 0;                                        
                                    $values['novinka']= isset($_POST['novinka']) ? 1 : 0;
                                    $values['publikovano']= isset($_POST['publikovano']) ? 1 : 0;
                                    if(isset($_GET['selectId'])){                                            
                                        $db->Update("produkty", $values, "id_produkty=".$_GET['selectId']);
                                        //  UPDATE v tab. pro_vel
                                        $db->Delete("pro_vel", "id_produkty=".$_GET['selectId']);
                                        if(isset($_POST['velikost']))
                                            $produkty->AddUpdateInSpoje($_POST['velikost'], $_GET['selectId'], "pro_vel");
                                        //  UPDATE v tab. pro_bar
                                        if(isset($_POST['barvy'])){
                                            $db->Delete("pro_bar", "id_produkty=".$_GET['selectId']);         
                                            $produkty->AddUpdateInSpoje($_POST['barvy'], $_GET['selectId'], "pro_bar"); 
                                        }
                                            
                                        unset($_GET['selectId']);
                                    }else{          
                                        $db->Insert("produkty",
                                                 "nazev, id_obleceni, id_uziv, id_kategorie, popis, cena, limitovano, poc_prodanych, sleva, seo, akce, novinka, publikovano, jazyk",
                                                 $values);
                                        $id= $db->getLastId("produkty");
                                        if(isset($_POST['velikost']))
                                            $produkty->AddUpdateInSpoje($_POST['velikost'], $id, "pro_vel");
                                        if(isset($_POST['barvy']))
                                            $produkty->AddUpdateInSpoje($_POST['barvy'], $id, "pro_bar");
                                    }
                                break; }
                            }
                        }
                        $tabulka= $produkty->showTable("nazev"); 
                    break;}
                    // cast s pridavanim novych produktu - ( AddForm )
                    case "pridat": {
                        if(isset($_GET['selectId'])) {
                            $values= $db->Select("SELECT id_produkty, id_obleceni, id_uziv, id_kategorie, nazev, popis, cena,
                                                         limitovano, poc_prodanych, sleva, seo, novinka, akce, publikovano, jazyk 
                                                    FROM produkty WHERE id_produkty=".$_GET['selectId']);
                            $values= $values[0];
                        }else{
                            $values=array("id_produkty" => "", "id_obleceni" => "", "id_uziv" => "", "id_kategorie" => "",
                                          "nazev" => "","popis" => "","cena" => "","limitovano" => "", "poc_prodanych" => "",
                                          "sleva" => "", "seo" => "", "novinka" => "", "akce" => "", "publikovano" => "", "jazyk" => "" );
                        }
                        if(isset($_GET['cesta'])){
                            $produkty->delImg($_GET['cesta'], $_GET['detail']);
                        }
                        if(isset($_POST['loadPicture']))
                            if($_POST['loadPicture'] == "Nahraj"){
                                if($produkty->copyProductImg($_FILES['file'], 0))
                                    $produkty->imgPathToDb($values['id_produkty'], $_FILES['file']);
                            }else{
                                if($produkty->copyProductImg($_FILES['file'], 1))
                                    $produkty->imgPathToDb($values['id_produkty'], $_FILES['file'], 1);
                            }

                        if(isset($_POST['saveAtribut']))
                            $produkty->setHlavniImg($_POST['hlavni'], $_POST['oldIdImg']);
                                
                            
                        $addForm= $produkty->showAddUpdateForm($values);
                        if(!$values['id_produkty']=="") {
                            $pictures= $produkty->showProduktImg($values['id_produkty'],"Thumb.jpg", 0);                        
                            $pictures.= $produkty->showProduktImg($values['id_produkty'],"Thumb.jpg", 1);
                        }
                    break;}           
                }
                include_once "tpl/admin/produkty_list.php";
            break;}

//-----------------------------------------navrhy----------------------------------------------
            case "navrhy": {
                $navrhForm="";
                if(isset($_GET['tabs'])){
                    if($_GET['tabs']=="detail"){
                        if(isset($_GET['zrus'])) $navrhy->delVarianta($_GET['zrus']);
                        if(isset($_POST['saveAtribut'])) $navrhy->saveAtribut($_GET['selectId'],$_POST['hlavni'], $_POST['p']);
                        if(isset($_POST['odeslat'])) {
                            switch($_POST['odeslat']){
                                case("Uložit"):
                                    array_pop($_POST);
                                    $navrhy->saveNavrh($_GET['selectId'], $_POST);
                                break;
                                case("Odstranit"):
                                    $navrhy->delNavrh($_GET['selectId']);
                                    $navrhForm= "<h1>Návrh byl odstraněn z DB.</h1>";
                                break;
                            }
                        }
                        $navrhForm= $navrhy->showNavrh($_GET['selectId']);
                        $pictures= $navrhy->showVariantyImg($_GET['selectId']);
                    } 
                }else
                    $tabulka= $navrhy->showPrehled();
                include_once 'tpl/admin/navrhy_list.php';
            break;}
            
//-----------------------------------------obleceni----------------------------------------------
            case "obleceni": {
                if(!isset($_GET['tabs'])) 
                    $_GET['tabs']= "prehled";
                switch($_GET['tabs']){     
                    case "prehled": {
                        if(isset($_POST['odeslat'])){
                            switch($_POST['odeslat']) {
                                case "Odebrat vybrané": { 
                                    foreach($_POST as $key => $value)
                                        if(is_numeric($key)) $db->Delete("obleceni", "id_obleceni=$key");
                                break;}
                                
                                case "Uložit": {
                                    $values= array($_POST['mater'], $_POST['gramaz'], $_POST['nazev'], $_POST['popis'], $_POST['vyrobce'],
                                                   $_POST['dodavatel'], $_POST['porizovaci_cena'], $_POST['jazyk']);
                                    if(isset($_GET['selectId'])){
                                        //  UPDATE v tabulce obleceni
                                        $set= array("mater" => $values[0], "gramaz" => $values[1], "nazev" => $values[2], "popis" => $values[3],
                                                    "vyrobce" => $values[4], "dodavatel" => $values[5], "porizovaci_cena" => $values[6], "jazyk" => $values[7]);
                                        $db->Update("obleceni", $set, "id_obleceni=".$_GET['selectId']);
                                        //  UPDATE v tab. obl_vel
                                        $db->Delete("obl_vel", "id_obleceni=".$_GET['selectId']);
                                        if(isset($_POST['velikost']))
                                            $obleceni->AddUpdateInSpoje($_POST['velikost'], $_GET['selectId'], "obl_vel");
                                        //  UPDATE v tab. obl_bar
                                        $db->Delete("obl_bar", "id_obleceni=".$_GET['selectId']);         
                                        if(isset($_POST['barvy']))
                                            $obleceni->AddUpdateInSpoje($_POST['barvy'], $_GET['selectId'], "obl_bar");
                                            
                                        unset($_GET['selectId']);
                                    }else{                                    
                                        $db->Insert("obleceni","mater, gramaz, nazev, popis, vyrobce, dodavatel, porizovaci_cena, jazyk", $values);
                                        $id= $db->getLastId("obleceni");
                                        if(isset($_POST['velikost']))
                                            $obleceni->AddUpdateInSpoje($_POST['velikost'], $id, "obl_vel");
                                        if(isset($_POST['barvy']))
                                            $obleceni->AddUpdateInSpoje($_POST['barvy'], $id, "obl_bar");
                                    }
                                break; }
                            }
                        }
                        
                        $tabulka= $obleceni->showTable();    
                        include_once "tpl/admin/obleceni_list.php";   
                    break; }
                    
                    case "pridat": {
                        if(isset($_GET['selectId'])) {
                            $values= $db->Select("SELECT id_obleceni, mater, gramaz, nazev, popis, vyrobce, dodavatel, porizovaci_cena, jazyk 
                                                    FROM obleceni WHERE id_obleceni=".$_GET['selectId']);
                            $values= $values[0];
                        }else{
                            $values=array("id_obleceni" => "", "mater" => "","gramaz" => "","nazev" => "","popis" => "","vyrobce" => "",
                                          "dodavatel" => "","porizovaci_cena" => "","jazyk" => "" );
                        }
                        $addForm= $obleceni->showAddUpdateForm($values);
                        include_once "tpl/admin/obleceni_list.php";
                    break;}
                        
                    case "velikosti": {
                        $selected= (isset($_GET['selectId'])) ? $_GET['selectId'] : '';
                        $tabulka= $obleceni->showOblVel($selected);
                        if(isset($_POST['odeslat']))
                            $obleceni->updateVelikosti($_GET['selectId'], array_slice($_POST, 1));
                        if(isset($_GET['selectId']))
                            $addForm= $obleceni-> showVelikostiForm($_GET['selectId']);
                                                                                                                              
                        include_once "tpl/admin/velikostnitabulky_list.php";
                    break;}
                }
            break; }

//----------------------------------------ciselniky----------------------------------------------
            case "ciselniky": {
                $tabs= $_GET['tabs'];
                $hidden= "display: none;";
                if(!isset($_GET['tabs'])) 
                    $_GET['tabs']= "barvy";
                    
                switch($_GET['tabs']){
                    case "barvy": {
                        if(isset($_POST['odeslat'])){
                            if($_POST['odeslat']=="Odebrat vybrané")
                                foreach($_POST as $key => $value)
                                    if(is_numeric($key)) $db->Delete("barvy", "id_barvy=$key");
                            if($_POST['odeslat']=="Uložit"){
                                $values= array($_POST['barva'],$_POST['jazyk']);
                                if(isset($_GET['selectId'])){
                                    $set= array("barva" => $values[0], "jazyk" => $values[1]);
                                    $db->Update("barvy", $set, "id_barvy=".$_GET['selectId']);
                                    unset($_GET['selectId']);
                                }else{                                    
                                    $db->Insert("barvy","barva, jazyk", $values);
                                }
                            }
                        }
                        $tabulka= $ciselniky->showTable("barvy", true);
                        if(isset($_GET['selectId'])) {
                            $values= $ciselniky->getRow("barvy");
                        }else{
                            $values=array("id_barvy" => "", "barva" => "","jazyk" => "");
                        }
                        $addForm= $ciselniky->showAddUpdateForm("barvy", $values);
                    break; }
                    
                    case "velikost": {
                        if(isset($_POST['odeslat'])){
                            if($_POST['odeslat']=="Odebrat vybrané")
                                foreach($_POST as $key => $value)
                                    if(is_numeric($key)) $db->Delete("velikost", "id_velikost=$key");
                            if($_POST['odeslat']=="Uložit"){
                                $values= array($_POST['velikost'],$_POST['jazyk']);
                                if(isset($_GET['selectId'])){
                                    $set= array("velikost" => $values[0], "jazyk" => $values[1]);
                                    $db->Update("velikost", $set, "id_velikost=".$_GET['selectId']);
                                    unset($_GET['selectId']);
                                }else{                                    
                                    $db->Insert("velikost","velikost, jazyk", $values);
                                }
                            }
                        }                    
                        $tabulka= $ciselniky->showTable("velikost");
                        if(isset($_GET['selectId'])){
                            $values= $ciselniky->getRow("velikost");
                        }else{
                            $values=array("id_velikost" => "", "velikost" => "", "jazyk" => "");
                        }
                        $addForm= $ciselniky->showAddUpdateForm("velikost", $values);
                    break; }
                    
                    case "kategorie": {
                        $hidden="";
                        $tabs2= (isset($_GET['tabs2'])) ? $_GET['tabs2'] : "";
                        $table= ($tabs2=="produkty") ? "kategorie" : "kategorie_navrhy";
                        if(isset($_POST['odeslat'])){    
                            switch($_POST['odeslat']){
                                case "Odebrat vybrané": 
                                    foreach($_POST as $key => $value)
                                        if(is_numeric($key)) $ciselniky->delKategorie($table, $key);
                                break;
                                
                                case "Uložit":
                                    $_POST= array_intersect_key($_POST, array("nazev" => "", "id_kategorie" => "",
                                                                      "jazyk" => "", "seo" => "", "publikovano" => ""));
                                    if(isset($_GET['selectId'])){
                                        $ciselniky->editKategorie($table, $_POST, $_GET['selectId']);
                                    }else
                                        $ciselniky->addKategorie($table, $_POST);
                                break;
                            }
                        }    
                        //----------------------------------------------------------------------------------------------
                        
                        $tabulka= $ciselniky->showTable("kategorie", true, $tabs2);
                        if(isset($_GET['selectId'])){
                            $values= $db->Select("SELECT id_kategorie, nazev, id_nad_kategorie, jazyk, seo, publikovano 
                                                    FROM $table 
                                                    WHERE id_kategorie=".$_GET['selectId']);
                            $values= $values[0];
                        }else{
                            $values=array("id_kategorie" => "", "nazev" => "", "id_nad_kategorie" => "", "jazyk" => "",
                                          "seo" => "", "publikovano" => "");
                        }
                        $addForm= $ciselniky->showAddUpdateForm("kategorie", $values, $tabs2);
                    break; }
                }
                include_once "tpl/admin/ciselnik_list.php"; 
            break; }

//----------------------------------------dashboard----------------------------------------------
            case "dashboard": {
                $dny=0;
                if(isset($_POST['pocDni']))    $dny= $_POST['pocDni'];
                $comboHl= $komentare->showComboNaDny("dis_hla", $dny);
                $komentHl= $komentare->showKomentare("dis_hla", $dny);
                
                $komentPr= $komentare->showKomentare("dis_pro", $dny);                
                $objInfo= $objednavky->showObjednavky("neodeslane");
                include_once "tpl/admin/dashboard.php";
            break;}

//----------------------------------------nastaveni----------------------------------------------            
            case "nastaveni": {
                if(!isset($_GET['tabs'])) 
                    $_GET['tabs']= "doprava";
                
                switch($_GET['tabs']){
                    default: case "doprava": {
                        if(isset($_POST['odeslat'])){    
                            switch($_POST['odeslat']){
                                case "Odebrat vybrané": 
                                    foreach($_POST as $key => $value)
                                        if(is_numeric($key)) $db->Delete("doprava", "id_doprava=$key");
                                break;
                                
                                case "Uložit": 
                                    if(isset($_GET['selectId']))
                                        $doprava->editDoprava($_GET['selectId'], $_POST);
                                    else
                                        $doprava->addDoprava($_POST);
                                break;
                            }
                        }                        
                        
                        $tabulka= $doprava->showDoprava();
                        if(isset($_GET['selectId'])){
                            $values= $db->Select("SELECT id_doprava, popis, cena, jazyk, publikovano FROM doprava 
                                                    WHERE id_doprava=". $_GET['selectId']);
                            $values= $values[0];
                        }else{
                            $values=array("id_doprava" => "", "popis" => "", "cena" => "", "jazyk" => "", "publikovano" => "");                        
                        }
                        $addForm= $doprava->showAddUpdateForm($values);
                    break;}
                    
                    case "stranky": {
                        $tabulka= $doprava->showStrankyForm();
                    break;}
                    
                }
                include_once "tpl/admin/nastaveni_list.php";
                
            break;}
            
//----------------------------------------uzivatele----------------------------------------------                        
            case "uzivatele": {
                include 'class/admin/uzivatele.php';
                $uziv= new Tuzivatele();

                if(isset($_POST['odeslat']) && ($_POST['odeslat']  == "Odebrat vybrané"))
                    foreach($_POST as $key => $value)
                        if(is_numeric($key)) $db->Delete("uziv", "id_uziv=$key");                
                
                $tabulka= $uziv->showUzivTable();
                
                if(isset($_POST['id_uziv']))
                    $uziv->saveRole($_POST['id_uziv'], $_POST['role']);
                                                            
                if(isset($_GET['selectId']))
                    $addForm= $uziv->showUzivForm($_GET['selectId']);
                                                            
                include_once "tpl/admin/uzivatele_list.php";
            }

        }
    

?>        
