<?php
class TnavrhyAdmin extends TFunctions{
    private
    function getPocVariant($idNavrhy, $publikovano=""){
        if($publikovano == "A") $publikovano= " AND publikovano = 1";
        if($publikovano == "N") $publikovano= " AND publikovano = 0";
        $query= "SELECT count(*) as pocet FROM varianty WHERE id_navrhy = $idNavrhy $publikovano";
        $result= $this->Select($query);
        return $result[0]['pocet'];
    }       
    
    public
    function showPrehled(){
        $query= "
            SELECT navrhy.id_navrhy, id_varianty, nazev, max(poc_hodnoceni) as max_poc_hodnoceni 
                FROM navrhy, varianty 
                WHERE navrhy.id_navrhy=varianty.id_navrhy
                GROUP BY navrhy.id_navrhy
        ";
        $navrhy= $this->Select($query);
        if(count($navrhy)==0) return "<h1>V databázi nejsou vloženy žádné návrhy.<h1>";
        
        
        $colsNames= array("Název", "Počet variant", "Počet schválených", "Počet neschválených", "Max poč. komentářů", "Max poč. hodnocení");
        $result= "<form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">";
        $result.= $this->showTableHead($colsNames, false);
        $result.="
            <tbody>
        ";
        $prepinac=2;
        foreach($navrhy as $key => $value){
            $query= "
                SELECT max(poc) as max_pocet_komentaru
                    FROM (SELECT varianty.id_varianty, count(dis_var.id_varianty) as poc FROM dis_var, varianty 
                            WHERE id_navrhy = ". $value['id_navrhy'] ."
                            AND varianty.id_varianty=dis_var.id_varianty
                            GROUP BY dis_var.id_varianty) AS max_pocty
            ";
            $maxPocKom= $this->Select($query);
            $maxPocKom= $maxPocKom[0]['max_pocet_komentaru'];
            $maxPocKom= ($maxPocKom == 0) ? '0' : $maxPocKom;
            $prepinac==1 ? $prepinac=2 : $prepinac=1;
            $href= "admin.php?menu=navrhy&amp;tabs=detail&amp;selectId=". $value['id_navrhy'];
            $result.="
                <tr class=\"row$prepinac\">
                    <td class=\"wc150\"><a href=\"$href\">". $value['nazev'] ."</a></td>
                    <td class=\"wc100\">". $this->getPocVariant($value['id_navrhy']) ."</td>
                    <td class=\"wc100\">". $this->getPocVariant($value['id_navrhy'], "A") ."</td>
                    <td class=\"wc100\">". $this->getPocVariant($value['id_navrhy'], "N") ."</td>
                    <td class=\"wc100\">". $maxPocKom ."</td>
                    <td class=\"wc100\">". $value['max_poc_hodnoceni'] ."</td>
                </tr>
            ";        
        }
        $result.="
            </tbody></table></form>
        ";
        return $result;
    }
    
    function showNavrh($idNavrhu){
        $query= "
            SELECT id_navrhy, navrhy.id_kategorie, jmeno, prijmeni, kategorie_navrhy.nazev, navrhy.nazev, popis 
                FROM navrhy, uziv, kategorie_navrhy
                WHERE id_navrhy = $idNavrhu
                AND navrhy.id_uziv = uziv.id_uziv
                AND navrhy.id_kategorie = kategorie_navrhy.id_kategorie";
        $navrh= $this->Select($query);
        $navrh= $navrh[0];
        
        $result="
            <form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">
                <div>
                    <label>Název návrhu: </label>
                    <input class=\"w200\" type=\"text\" name=\"nazev\" value=\"". $navrh['nazev'] ."\" />
                </div>
                <div>
                    <label>Popis: </label>
                    <textarea name=\"popis\" rows=\"6\" cols=\"25\">". $navrh['popis'] ."</textarea>
                </div>
                <div><label>Kategorie: </label>
                    ". $this->showKategorieInCombo("kategorie_navrhy", 0, $navrh['id_kategorie']) ."
                </div>
                <div>
                    <label>Vloženo uživatelem: </label>
                    <input class=\"w200\" type=\"text\" value=\"". $navrh['jmeno'] ." ". $navrh['prijmeni'] ."\" disabled=\"disabled\" />
                </div>
                <div>
                    <input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"Uložit\" />
                    <input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"Odstranit\" />
                </div>   
                <div class=\"corrector\"></div>
            </form>                                                                             
        ";
        return $result;
    }
    
    function showVariantyImg($idNavrhu){
        $query= "
            SELECT id_uziv, id_varianty, varianty.publikovano, hlavni, datum_publikovani, seo 
                FROM varianty, navrhy 
                WHERE varianty.id_navrhy=$idNavrhu
                AND varianty.id_navrhy=navrhy.id_navrhy";
        $varianty= $this->Select($query);
        $result="
            <form action=\"/admin.php?menu=navrhy&amp;tabs=detail&amp;selectId=$idNavrhu\" method=\"post\">
                <h1>Obrázky</h1>
                <fieldset><input type=\"submit\" name=\"saveAtribut\" value=\"Uložit\" /></fieldset>
                <input type=\"hidden\" name=\"p[]\" value=\"-1\" checked=\"checked\" />                                        
        ";
        foreach($varianty as $key => $value){
            $checked= ($value['hlavni']==1) ? "checked=\"checked\"" : "";
            $publikovano= ($value['publikovano']==1) ? "checked=\"checked\"" : "";
            $href= "admin.php?menu=navrhy&amp;tabs=detail&amp;selectId=$idNavrhu&amp;zrus=".$value['id_varianty'];
            $result.="
                <div style=\"width:160px;\">
                    <a href=\"$href\" class=\"zrusit\"></a>
                    <img src=\"img/navrhy/".$value['id_uziv']."/$idNavrhu/".$value['id_varianty']."Thumb.jpg\" />
                    <div class=\"atributNavrh\"><div>
                        <label title=\"Výběr hlavní varianty\">H</label>
                        <input type=\"radio\" name=\"hlavni\" value=\"". $value['id_varianty'] ."\" $checked />
                        <label title=\"Publikováno\">P</label>
                        <input type=\"checkbox\" name=\"p[]\" value=\"". $value['id_varianty'] ."\" $publikovano />                        
                    </div></div>                
                </div>
            ";
        }
        $result.= "</form>";
        return $result;
    }
    
    function delVarianta($variantaId){
        $query= "
            SELECT id_varianty, seo, id_uziv FROM varianty, navrhy
                WHERE   id_varianty = $variantaId
                AND     varianty.id_navrhy = navrhy.id_navrhy
        ";
        $result= $this->Select($query);
        $result= $result[0];
        unlink("img/navrhy/".$result['id_uziv']."/".$result['seo']."/".$result['id_varianty'].".jpg");
        unlink("img/navrhy/".$result['id_uziv']."/".$result['seo']."/".$result['id_varianty']."Thumb.jpg");
        unlink("img/navrhy/".$result['id_uziv']."/".$result['seo']."/".$result['id_varianty']."BigThumb.jpg");
        $this->Delete("varianty", "id_varianty = $variantaId");        
    }
    
    function saveAtribut($idNavrhu, $variantaH, $variantyP){   
        $this->Update("varianty", array("hlavni" => '0', "publikovano" => '0'), "id_navrhy = $idNavrhu AND hlavni = 1");
        $this->Update("varianty", array("hlavni" => 1), "id_navrhy = $idNavrhu AND id_varianty = $variantaH");
        $this->Update("varianty", array("publikovano" => '0'), "id_navrhy = $idNavrhu");
        
        $datum= date("Y-m-d");
        $values= array("publikovano" => 1, "datum_publikovani" => $datum);
        foreach($variantyP as $value)
            $this->Update("varianty", $values, "id_navrhy = $idNavrhu AND id_varianty = $value");
    }
    
    function saveNavrh($idNavrhu, $post){
        $this->Update("navrhy", $post, "id_navrhy = $idNavrhu");
    }
    
    function delNavrh($idNavrhu){
        $query= "SELECT seo, id_uziv FROM navrhy WHERE id_navrhy = $idNavrhu";
        $result= $this->Select($query);
        $result= $result[0];
        
        $cesta= "img/navrhy";
        $cestaUziv= $cesta ."/". $result['id_uziv'];
        $cestaNavrhu= $cestaUziv."/".$result['seo'];
        
        $query= "SELECT id_varianty FROM varianty WHERE id_navrhy = $idNavrhu";
        $varianty= $this->Select($query);
        foreach($varianty as $key => $value){
            unlink($cestaNavrhu."/".$value['id_varianty'].".jpg");
            unlink($cestaNavrhu."/".$value['id_varianty']."Thumb.jpg");
            unlink($cestaNavrhu."/".$value['id_varianty']."BigThumb.jpg");
        }
        rmdir($cestaNavrhu);
        
        $query= "SELECT count(*) as pocet FROM navrhy WHERE id_navrhy = $idNavrhu";
        $result= $this->Select($query);
        if($result[0]['pocet'] == 0) {
            rmdir($cestaUziv."/tmp");
            rmdir($cestaUziv);
        }
        
        $this->Delete("navrhy", "id_navrhy = $idNavrhu");
    }
}  
?>
