<?php
class TObleceni extends TFunctions {
    
    public
    /**
    * zobrazi tabulku s prehledem obleceni
    * return string
    */
    function showTable(){
        $query= "SELECT id_obleceni, nazev, mater, gramaz, popis, vyrobce, dodavatel, porizovaci_cena, jazyk FROM obleceni";
        $data= $this->Select($query);
        array_shift($data);
        $href= "admin.php?menu=obleceni&amp;tabs=prehled";
        $result= "<form action=\"$href\" method=\"post\">";
        $colsNames= array("Id","Název","Materiál","Gramáž","Popis","Výrobce","Dodavatel","cena","jazyk");
        $result.= $this->showTableHead($colsNames);
        $result.="<tbody>";
        $prepinac=2;
        
        foreach($data as $key => $value){
            $prepinac==1 ? $prepinac=2 : $prepinac=1;
            $href= "admin.php?menu=obleceni&amp;tabs=pridat&amp;selectId=". $value['id_obleceni'];
            $result.= "<tr class=\"row$prepinac\">
                        <td class=\"wc50\">". $value['id_obleceni']. "</td>
                        <td class=\"w250\"><a href=\"$href\">".$value['nazev']."</a></td>
                        <td class=\"w150\">". $value['mater']. "</td>
                        <td class=\"w50\">". $value['gramaz']. "g</td>                           
                        <td class=\"w200\">". $value['popis']. "</td>                           
                        <td class=\"w50\">". $value['vyrobce']. "</td>                           
                        <td class=\"w50\">". $value['dodavatel']. "</td>                           
                        <td class=\"w50\">". $value['porizovaci_cena']. "</td>                           
                        <td class=\"wc50\">". $value['jazyk']. "</td>                           
                        <td class=\"wc50\"><input type=\"checkbox\" name=\"".$value['id_obleceni']."\" /></td>
                       </tr>";
        }
        $result.= "
                </tbody>
                <tfoot>
                    <tr>
                        <td colspan=\"10\"><input type=\"submit\" name=\"odeslat\" value=\"Odebrat vybrané\" /></td>
                    </tr>
                </tfoot>
                </table>
            </form>";   
        return $result;
    }
    /**
    * zobrazi formular pro pridani nebo editaci
    * return string
    * 
    * @param $values - pole s pripadnymi hodnotami pro update
    */
    function showAddUpdateForm($values=""){
        $result= "";
        $action= "admin.php?menu=obleceni&amp;tabs=prehled";
        if(!$values['id_obleceni']=="") $action.= "&amp;selectId=".$values['id_obleceni'];
        $result.= "
            <form action=\"$action\" method=\"post\">
                <div class=\"addUpdate\">            
                    <label>Název</label>
                        <div><input class=\"w250\"type=\"text\" name=\"nazev\" value=\"".$values['nazev']."\" /></div>
                    <label>Materiál</label>
                        <div><input class=\"w150\"type=\"text\" name=\"mater\" value=\"".$values['mater']."\" /></div>
                    <label>Gramáž</label>
                        <div><input class=\"w50\"type=\"text\" name=\"gramaz\" value=\"".$values['gramaz']."\" /></div>
                    <label>Popis</label>
                        <div><input class=\"w200\"type=\"text\" name=\"popis\" value=\"".$values['popis']."\" /></div>
                    <label>Výrobce</label>
                        <div><input class=\"w50\"type=\"text\" name=\"vyrobce\" value=\"".$values['vyrobce']."\" /></div>
                    <label>Dodavatel</label>
                        <div><input class=\"w50\"type=\"text\" name=\"dodavatel\" value=\"".$values['dodavatel']."\" /></div>
                    <label>Cena</label>
                        <div><input class=\"w50\"type=\"text\" name=\"porizovaci_cena\" value=\"".$values['porizovaci_cena']."\" /></div>
                    <label>Jazyk</label>
                        <div><input class=\"w50\" type=\"text\" name=\"jazyk\" value=\"".$values['jazyk']."\" /></div>
                </div>
        ";
        $result.= $this->showDostupnostBarvy($values['id_obleceni'], "obleceni",15);
        $result.= $this->showDostupnostVelikost($values['id_obleceni'],"obleceni",6);
        $result.= "<fieldset><input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"Uložit\" /></fieldset></form>";   
        return $result;
    }
    
    /**
    * zobrazi tabulku s vyberem pro editaci velikosti
    * @param $selectId - zajisti zvyrazneni vyberu
    */
    function showOblVel($selectId=""){
        $query= "SELECT id_obleceni, nazev FROM obleceni";
        $data= $this->Select($query);
        array_shift($data); //odstrani radek s id[1] - OBLECENI NENASTAVENO
        $colsNames= array("Id","Název");
        $result= $this->showTableHead($colsNames, false);
        $result.="<tbody>";
        $i=2;
        foreach($data as $key => $value){
            $prepinac= 0 + $i;
            $i==1 ? $i=2 : $i=1;
            if($value['id_obleceni'] == $selectId) {
                $prepinac= "Select";
            }else 
                $prepinac;
            $href= "admin.php?menu=obleceni&amp;tabs=velikosti&amp;selectId=". $value['id_obleceni'];
            $result.= "<tr class=\"row$prepinac\">
                        <td class=\"wc50\">". $value['id_obleceni']. "</td>
                        <td class=\"w250\"><a href=\"$href\">".$value['nazev']."</a></td>
                       </tr>";
        }
        $result.= "</tbody></table>";   
        return $result;
    }    
    
    function showVelikostiForm($selectId){
        $query= "
            SELECT obl_vel.id_velikost, velikost, sirka, vyska FROM obl_vel, velikost
            WHERE obl_vel.id_velikost = velikost.id_velikost
            AND id_obleceni = $selectId";
        $velikosti= $this->Select($query);
        $result= "<form action=\"admin.php?menu=obleceni&amp;tabs=velikosti&amp;selectId=$selectId\" method=\"post\">";
        $result.= $this->showTableHead(array("Velikost", "Šířka", "Výška"), false);
        $result.= "
            <tfoot>
                <tr><td colspan=\"3\"><input type=\"submit\" name=\"odeslat\" value=\"Uložit\" /></td></tr>
            </tfoot>
            <tbody>
        ";
        foreach($velikosti as $key => $value){
            $velikost= $value['velikost'];
            $velikostId= $value['id_velikost'];
            $sirka= $value['sirka'];
            $vyska= $value['vyska'];
            $result.= "
                <tr>
                    <td class=\"wc50\">$velikost</td>
                    <td><input class=\"wc50\" type=\"text\" name=\"s$velikostId\" value=\"$sirka\" /></td>
                    <td><input class=\"wc50\" type=\"text\" name=\"v$velikostId\" value=\"$vyska\" /></td>
                </tr>
            ";
        }
        $result.= "</tbody></table></form>";
        return $result;
    }
    
    function updateVelikosti($obleceniId, $velikosti){
        $insertRow= array();
        $i=0;
        foreach($velikosti as $key => $value){
            $i++;
            if(($i % 2)> 0) $sirka= $value;
            if(($i % 2)== 0) {
                $insertRow= array("sirka" => $sirka, "vyska" => $value);
                $this->Update("obl_vel", $insertRow, "id_obleceni = $obleceniId AND id_velikost = ". substr($key,1));
                $insertRow= array();
            }
        }
    }
    
}