<?php
class Tdiskuze extends TDBoperations{
    private     
    function showTools($idPrispevek, $table){
        $result="
            <form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">
                <input class=\"D\" type=\"submit\" name=\"tools\" value=\"D\" title=\"smazat příspěvek\" />
                <input type=\"hidden\" name=\"idPrispevek\" value=\"$idPrispevek\" />
                <input type=\"hidden\" name=\"table\" value=\"$table\" />
            </form>
        ";
    return $result;
    }

    function delVnorene($idPrispevek, $table){
        $vnorene= $this->Select("SELECT id_prispevek FROM diskuze WHERE id_vlakno = $idPrispevek");
        if(count($vnorene)>0){
            foreach($vnorene as $key=>$value){
                $this->Delete("diskuze", "id_prispevek = ". $value['id_prispevek']);
                $this->Delete($table, "id_prispevek = ". $value['id_prispevek']);
                $this->delPrispevky($value['id_prispevek'], $table);
            }
        }
    }                      
    
    public      
    function getNazev($idPrispevek){
        $query= "SELECT nazev FROM diskuze WHERE id_prispevek=$idPrispevek";
        $result= $this->Select($query);
        return $result[0]['nazev'];
    }
    
    function showForm($nazev="", $idVlakno){
        $href= $_SERVER['REQUEST_URI'];
        $result= "
            <div class=\"diskuzeForm\">
                <form action=\"$href\" method=\"post\">
                <fieldset>
                    <label for=\"nazev\">Název:</label>
                        <input type=\"text\" id=\"nazev\" name=\"nazev\" value=\"$nazev\" />
                    <label for=\"jmeno\">Jméno:</label>
                        <input type=\"text\" id=\"jmeno\" name=\"jmeno\" />
                </fieldset>
                <fieldset>
                    <label for=\"text\">Text:</label>
                        <textarea name=\"text\" id=\"text\" style=\"width:100%\" rows=\"\" cols=\"\"></textarea>
                </fieldset>
                <fieldset>
                    <input type=\"hidden\" name=\"id_vlakno\" value=\"$idVlakno\" />
                    <input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"Uložit\" />
                </fieldset>
                </form>
            </div>                
        ";
        return $result;
    }
    /**
    * ulozi prispevek do DB
    * 
    * @param string $values[] - nazev, jmeno, text
    * @param mixed $table
    * @param mixed $selectId
    */
    function insertPrispevek($values, $table, $selectId=0){
        $values['nazev']= mysql_escape_string($values['nazev']);
        $values['jmeno']= mysql_escape_string($values['jmeno']);
        $values['text']= mysql_escape_string($values['text']);
        $this-> Insert("diskuze", "nazev, jmeno, text, id_vlakno", $values);
        switch($table){
            case "dis_var": 
                $values= array($this->getLastId("diskuze"), $selectId);
                $this->Insert($table, "id_prispevek, id_varianty", $values);
            break;
            case "dis_pro": 
                $values= array($this->getLastId("diskuze"), $selectId);
                $this->Insert($table, "id_prispevek, id_produkty", $values);
            break;
            case "dis_hla": 
                $values= array($this->getLastId("diskuze"));
                $this->Insert($table, "id_prispevek", $values);
            break;
        }
    }
    
    function getPocPrispevku($table, $selectId=0){
        $podminka= "";
        if($selectId != 0){
            switch($table){
                case "dis_pro": $podminka= "AND $table.id_produkty = $selectId";
                break;
                case "dis_var": $podminka= "AND $table.id_varianty = $selectId";
                break;
            }
        }
        $query= "
            SELECT count(*) as pocet 
                FROM diskuze, $table 
                WHERE diskuze.id_prispevek = $table.id_prispevek
                $podminka
        ";
        $result= $this->Select($query);
        $result= $result[0]['pocet'];
        return $result;
    }
    
    /**
    * vypise prispevky v dannem rozsahu
    * 
    * @param mixed $table - const("dis_hla", "dis_pro", "dis_var"")ze ktere tabulky se budou brat prispevky
    * @param mixed $role
    * @param mixed $odsazeni - urcuje okolik se odsadi reagujici prispvek[px]
    * @param mixed $od - od jakeho prispevku
    * @param mixed $do - do jakeho prispevku
    * @param mixed &$akt - pocita prispevky
    * @param mixed $selectId - k jakemu predmetu se vyberou prispevky
    * @param mixed $idVlakno - musi byt nula, zacina se od vrchnich prispevku
    * @param mixed $ods - pricita odsazeni vnorujicich se reakci
    */
    function showPrispevky($table, $role, $odsazeni, $od, $do, &$akt=0, $selectId=0, $idVlakno=0, $ods=0){
        $tools="";
        $podminka= "";
        $desc= "DESC"; 
        if($ods>0) $desc="";
        if($selectId!=0){
            if($table == "dis_pro") $podminka= "AND dis_pro.id_produkty = $selectId";
            if($table == "dis_var") $podminka= "AND dis_var.id_varianty = $selectId";
        }
        $query= "
            SELECT diskuze.id_prispevek, id_vlakno, jmeno, nazev, dat_vlozeni, date_format(dat_vlozeni, '%d.%m.%Y - %H:%i') as datum, text
              FROM diskuze, $table 
              WHERE id_vlakno=$idVlakno 
              AND diskuze.id_prispevek=$table.id_prispevek
              $podminka
              ORDER BY dat_vlozeni $desc
        ";
        $prispevky= $this->Select($query);
        $result= "<div class=\"diskuze\">";
        foreach($prispevky as $key => $value){     
            if($akt >= $od && $akt <= $do){
                    $href= $_SERVER['REQUEST_URI'];
                if($role=="admin")
                    $tools= $this->showTools($value['id_prispevek'], $table);
                $result.= "
                    <div class=\"prispevek\" style=\"margin-left:".$ods."px;\">
                            <div class=\"prispevekTop\">
                            <div class=\"vnoreni$ods\">
                                <div class=\"vlevo\">
                                    $tools
                                    <label>Název: <span>".$value['nazev']."</span></label><br />
                                    <label>Jméno:&nbsp;".$value['jmeno']."</label>
                                </div>
                                <div class=\"vpravo\">
                                    <form action=\"$href\" method=\"post\">
                                        <input type=\"hidden\" name=\"reagovatNaId\" value=\"". $value['id_prispevek'] ."\" />
                                        <input type=\"submit\" name=\"reagovat\" value=\"reagovat\" />
                                    </form>
                                    <label>".$value['datum']."</label>
                                </div>
                                <div class=\"corrector\"></div>
                            </div>
                        </div>
                        ".$value['text']."
                    </div>
                ";
            }
            $akt++;
            $query= "SELECT count(*) as pocet FROM diskuze WHERE id_vlakno=". $value['id_prispevek'];
            $resultQuery= $this->Select($query);
            $pocet= $resultQuery[0]['pocet'];
            if($pocet>0) {
                $result.= $this->showPrispevky($table, $role, $odsazeni, $od, $do, $akt, $selectId, $value['id_prispevek'], $ods + $odsazeni);       
                $akt++;
            }
        }
        $result.= "</div>";
        return $result;
    }
    
    function delPrispevky($idPrispevek, $table){
        $this->delVnorene($idPrispevek, $table);
        $this->Delete("diskuze", "id_prispevek = $idPrispevek");
        $this->Delete($table, "id_prispevek = $idPrispevek");        
    }
    
}  
?>
