<?php
class Tregistrace extends TDBoperations{
    private
    
    function generujHeslo(){
        $heslo= rand(100000,999999);
        return $heslo;
    }
    
    
    public
    
    function showRegistraceForm($values="", $souhlas=true){
        if(empty($values)){
            $keys= array("email", "pass", "jmeno", "prijmeni", "zeme", "mesto", "ulice", "psc", "tel");
            $values= array_fill_keys($keys, "");
            $values['zeme']= "ČR";
        }
        
        $result= "
            <form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">
            <fieldset>
            <legend>Přihlašovací údaje</legend>
                <label for=\"regemail\">email:*</label>
                    <input class=\"w200\" type=\"text\" id=\"regemail\" name=\"email\" value=\"".$values['email']."\" maxlength=\"30\" /><br />
                <label for=\"regheslo\">heslo:*</label>
                    <input class=\"w100\" type=\"password\" id=\"regheslo\" name=\"pass\" maxlength=\"20\" /><br />
                <label for=\"hesloZnovu\">heslo znovu:*</label>
                    <input class=\"w100\" type=\"password\" id=\"hesloZnovu\" name=\"hesloZnovu\" maxlength=\"20\" /><br />
            </fieldset>
            <fieldset>
            <legend>Údaje o uživateli</legend>
                <label for=\"jmeno\">Jméno:*</label>
                    <input type=\"text\" id=\"jmeno\" name=\"jmeno\" maxlength=\"15\" value=\"".$values['jmeno']."\" /><br />
                <label for=\"prijmeni\">Příjmení:*</label>
                    <input type=\"text\" id=\"prijmeni\" name=\"prijmeni\" maxlength=\"15\" value=\"".$values['prijmeni']."\" /><br />
                <label for=\"zeme\">Země:*</label>
                    <input type=\"text\" id=\"zeme\" name=\"zeme\" value=\"".$values['zeme']."\" /><br />
                <label for=\"mesto\">Město:*</label>
                    <input type=\"text\" id=\"mesto\" name=\"mesto\" maxlength=\"20\" value=\"".$values['mesto']."\" /><br />
                <label for=\"ulice\">Ulice:*</label>
                    <input type=\"text\" id=\"ulice\" name=\"ulice\" maxlength=\"20\" value=\"".$values['ulice']."\" /><br />
                <label for=\"PSC\">PSČ:*</label>
                    <input class=\"w50\" type=\"text\" id=\"PSC\" name=\"psc\" maxlength=\"5\" value=\"".$values['psc']."\" /><br />
                <label for=\"tel\">tel:</label>
                    <input class=\"w100\" type=\"text\" id=\"tel\" name=\"tel\" maxlength=\"9\" value=\"".$values['tel']."\"  />
            </fieldset>
        ";
        if($souhlas){
            $submitValue="Registrovat";
            $result.="
                    <fieldset>
                    <legend>Souhlas</legend>
                        <label class=\"souhlas\" for=\"souhlas\">Souhlasím s licenčními podmínkami uvedenými
                            <a href=\"\" 
                                onclick=\"window.open(
                                    'tpl/shop/op_detail_list.php',
                                    'Obchodní podmínky','scrollbars,width=800px'
                                    )\"
                            >zde</a></label>
                        <input type=\"checkbox\" id=\"souhlas\" name=\"souhlas\" />
                    </fieldset>
            ";
        }
        else $submitValue="Uložit";
        $result.="
            <input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"$submitValue\" />
            </form>
        ";
        return $result;
    }   
    
    function showErrorLoginForm($message) {
        $result="
            <div class=\"loginError\">
                $message
                <form action=\"/loginError.htm\" method=\"post\">
                    <label for=\"emailNewPass\">email:<lable>
                        <input type=\"text\" id=\"emailNewPass\" name=\"emailNewPass\" />
                    <input type=\"submit\" name=\"zapomenuteHeslo\" value=\"Odeslat\" />
                </form>
            </div>
        ";
        return $result;
    }
    
    function kontrolaEmailFormat($email){
        if (ereg("^[_a-zA-Z0-9\.\-]+@[_a-zA-Z0-9\.\-]+\.[a-zA-Z]{2,4}$", $email) 
            && !ereg("\.{2,}", $email) && !ereg("_{2,}", $email) && !ereg("-{2,}", $email))
             return true;
        else return false;            
    }
    
    function kontrolaEmail($email){
        $message="";
        if($email=="") $message.= "Nezadal jsi email.<br />";
        else
            if ($this->kontrolaEmailFormat($email)){
                $query= "SELECT email FROM uziv WHERE email='".$email."'";
                $result= $this->Select($query);
                if(count($result)>0) $message= "Zadaný email je již v databázi registrován!<br />";
            }else{
                $message.= "Zadaný email je ve špatném formátu.<br />";
            }
        return $message;        
    }
    
    function kontrolaUdaju($post){
        $message="";
        if(!($post['pass']==$post['hesloZnovu'])) $message.= "Hesla nesouhlasi, opakuj zadani.<br />";
        if($post['pass']=="") $message.= "Nezadal jsi heslo.<br />";         
            else if(!ereg("^[a-zA-Z0-9]*$", $post['pass'])) $message.= "Heslo může obsahovat pouze alfanumerické znaky.(a-z, 0-9)<br />";
        if($post['hesloZnovu']=="") $message.= "Nezadal jsi kontrolu hesla.<br />";         
            else if(!ereg("^[a-zA-Z0-9]*$", $post['pass'])) $message.= "Heslo může obsahovat pouze alfanumerické znaky.(a-z, 0-9)<br />";
        
        if($post['jmeno']=="") $message.= "Nezadal jsi jméno.<br />";
            else if(!ereg("^[^ßĚŮěů0-9[:space:][:punct:]][^0-9[:space:][:punct:]]{1,}$", $post['jmeno'])) $message.= "Ve jméně se vyskytují nepovolené znaky.<br />";
        if($post['prijmeni']=="") $message.= "Nezadal jsi příjmení.<br />";
            else if(!ereg("^[^ßĚŮěů0-9[:space:][:punct:]][^0-9[:space:][:punct:]]{1,}$", $post['prijmeni'])) $message.= "V příjmení se vyskytují nepovolené znaky.<br />";
        if($post['mesto']=="") $message.= "Nezadal jsi město.<br />";
            else if(!ereg("^[^'\\]*$", $post['mesto'])) $message.= "V názvu ulice se vyskytují nepovolené znaky.<br />";
        if($post['ulice']=="") $message.= "Nezadal jsi ulici.<br />";
            else if(!ereg("^[^'\\]*$", $post['ulice'])) $message.= "V názvu ulice se vyskytují nepovolené znaky.<br />";
        if($post['psc']=="") $message.= "Nezadal jsi PSČ.<br />";
        else if(!is_numeric($post['psc'])) $message.= "PSČ musí obsahovat pouze číslice.<br />";
        
        return $message;
    }
    
    function showProfil($idUziv){
        $query= "SELECT * FROM uziv WHERE id_uziv=$idUziv";
        $values= $this->Select($query);
        $result= $this->showRegistraceForm($values[0], false);
        return $result;
    }
    
    function sendMailNewPass($email){
        $heslo= $this->generujHeslo();  
        $this->Update("uziv", array("pass" => md5($heslo)), "email = '$email'");        

        $headers  = 'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";                           
        $headers .= 'From: info@pro-poteseni.cz' . "\r\n" .
                    'Reply-To: info@pro-poteseni.cz' . "\r\n";
        $subject= "Zapomenuté heslo.";
        $zprava= "
            <html>
            <head>
            <title>Automatická zpráva</title>
            </head>
            <body>
            Automatická zpráva<br /><br />
            Nově vygenerované heslo: $heslo<br /><br />
            S přáním hezkého dne,  Tom a Janinka.
            </body>
            </html>
        ";
        mail($email, $subject, $zprava, $headers);     
    }
    
    function sendMailRegistrace($email, $values){
        $headers  = 'MIME-Version: 1.0' . "\r\n";
        $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";                           
        $headers .= 'From: info@pro-poteseni.cz' . "\r\n" .
                    'Reply-To: info@pro-poteseni.cz' . "\r\n";
        $subject= "Registrace nového zákazníka.";
        $zprava= "
            <html>
            <head>
            <title>Automatická zpráva</title>
            </head>
            <body>
            Automatická zpráva<br /><br />
            Vaše údaje jsou nyní nasteveny na: <br /><br />
            Eemail: ". $email ."<br />
            Heslo: ". $values['pass'] ."<br />
            Jméno: ". $values['jmeno'] ."<br />
            Příjmení: ". $values['prijmeni'] ."<br />
            Země: ". $values['zeme'] ."<br />
            Město: ". $values['mesto'] ."<br />
            Ulice: ". $values['ulice'] ."<br />
            PSČ: ". $values['psc'] ."<br />
            tel.: ". $values['tel'] ."<br />                
            <br /><br />S přáním hezkého dne,  Tom a Janinka.
            </body>
            </html>
        ";
        mail($email, $subject, $zprava, $headers);        
    }
    
}
?>
