<?php
class Tstrankovani{
    private
    $aktStr, $pocStr, $pocNaStr, $od;
    
    public
    function __construct($pocZaznamu, $aktStr=1, $pocNaStr=9){
        $this->aktStr= $aktStr;
        $this->pocNaStr= $pocNaStr;
        $this->pocStr= ceil($pocZaznamu / $pocNaStr);
        $this->od= $pocNaStr * $aktStr - $pocNaStr;
        if($pocZaznamu / ($aktStr * $pocNaStr) < 1) $this->pocNaStr= $pocZaznamu - $this->od; 
    }
    
    function getOd(){
        return $this->od;
    }
    
    function getDo(){
        return $this->od + $this->pocNaStr;
    }
    
    
    function getPocStr(){
        return $this->pocStr;
    }
    
    function getPocNaStr(){
        return $this->pocNaStr;
    }
    
    function showStrankovani(){
        $pattern= array('/-s[0-9]+.htm/', '/.htm/');
        $href= preg_replace($pattern,'', $_SERVER['REQUEST_URI']);
        $rel= "rel=\"nofollow\"";
        if(ereg('.*/.*c([0-9]+).htm', $_SERVER['REQUEST_URI'])) $rel="";
        if(ereg('.*/.*c([0-9]+)-s([0-9]+).htm', $_SERVER['REQUEST_URI'])) $rel="";
        if($this->aktStr==1)
            $sipkyLeft= "<<|&nbsp<|";
        else 
            $sipkyLeft="
                <a $rel href=\"$href-s1.htm\"><<|</a>&nbsp;
                <a $rel href=\"$href-s". ($this->aktStr-1) .".htm\"><|</a>
            ";
        if($this->aktStr==$this->pocStr)
            $sipkyRight= "|>&nbsp|>>";
        else 
            $sipkyRight="
                <a $rel href=\"$href-s".($this->aktStr+1).".htm\">|></a>&nbsp;
                <a $rel href=\"$href-s". $this->pocStr .".htm\">|>></a>
            ";   
                 
        $result="<div class=\"strankovani\"><span class=\"sipky\">$sipkyLeft</span>";
        for($i=1; $i<=$this->pocStr; $i++){
            $result.= "&nbsp;<a $rel href=\"$href-s$i.htm\">";
            if($i==$this->aktStr)
                $result.="<span class=\"aktualStr\">$i</span></a>&nbsp;";                          
            else
                $result.= "$i</a>&nbsp;";
        }
        $result.="<span class=\"sipky\">$sipkyRight</span></div>";
        
        return $result;
    }    
    
}
?>