<?php
class TCiselniky extends TFunctions {
    public

    function getRow($table){
        switch($table){
            case "barvy":
                $query= $this->Select("SELECT id_barvy, barva, jazyk FROM barvy WHERE id_barvy=".$_GET['selectId']);
                return $query[0];
            break;
            case "velikost":
                $query= $this->Select("SELECT id_velikost, velikost, jazyk FROM velikost WHERE id_velikost=".$_GET['selectId']);
                return $query[0];
        }
    }
   
    /**
    * vypisu tabulku
    * 
    * @param $tabulka - vrati dotaz je to result
    * @param $ciselnik - vyber ciselniku - string     
    * @param $oznac - zobrazi sloupec s checkboxy
    */
    function showTable($ciselnik="barvy", $oznac=true, $tabs2= "produkty"){    
        $buttons=""; 
        switch($ciselnik){
            case "barvy": {
                $query= "SELECT id_barvy, barva, jazyk FROM barvy ORDER BY barva";
                $tabulka= $this->Select($query);
                $action= "admin.php?menu=ciselniky&amp;tabs=barvy";
                $colsNames= array("Id","Barva","Jazyk");
                $prepinac=2;
                $thead= $this->showTableHead($colsNames);
                $tbody="";
                foreach($tabulka as $key => $value){
                    $prepinac==1 ? $prepinac=2 : $prepinac=1;
                    $href= $action ."&amp;selectId=". $value['id_barvy'];
                    $tbody.= "<tr class=\"row$prepinac\">
                                <td class=\"wc50\">". $value['id_barvy']. "</td>
                                <td class=\"w250\"><a href=\"$href\">".$value['barva']."</a></td>
                                <td class=\"wc50\">". $value['jazyk']. "</td>
                                <td class=\"wc50\"><input type=\"checkbox\" name=\"".$value['id_barvy']."\" /></td>
                               </tr>";
                }
            break;}
            
            case "velikost": {
                $query= "SELECT id_velikost, velikost, jazyk FROM velikost";
                $tabulka= $this->Select($query);
                $action= "admin.php?menu=ciselniky&amp;tabs=velikost"; 
                $colsNames= array("Id","Velikost","Jazyk");
                $prepinac=2;
                $thead= $this->showTableHead($colsNames);
                $tbody="";
                foreach($tabulka as $key => $value){
                    $prepinac==1 ? $prepinac=2 : $prepinac=1;
                    $href= $action ."&amp;selectId=". $value['id_velikost'];  
                    $tbody.= "<tr class=\"row$prepinac\">
                                <td class=\"wc50\">". $value['id_velikost']. "</td>
                                <td class=\"wc100\"><a href=\"$href\">". $value['velikost']. "</a></td>
                                <td class=\"wc50\">". $value['jazyk']. "</td>
                                <td class=\"wc50\"><input type=\"checkbox\" name=\"".$value['id_velikost']."\" /></td>
                               </tr>";
                }
            break; }
            
            case "kategorie": {
                $table= ($tabs2=="produkty") ? "kategorie" : "kategorie_navrhy";
                $colsNames= array("Id","Kategorie", "Počet", "Jazyk", "seo", "P");
                $thead= $this->showTableHead($colsNames);                
                $tbody= $this->showKategorie(1, $table);
            break; }
        }
        
        $result= "
            <form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">
                $thead
                <tbody>
                    $tbody
                </tbody>
                </table>
                <fieldset>
                    <input type=\"submit\" name=\"odeslat\" value=\"Odebrat vybrané\" />
                </fieldset>
            </form>";   
        return $result;
    }
    
    /**
    * Rekurzivni funkce
    * (return string) - radky tabulky kategorie s odsazenim vnorenych kategorii
    * 
    * @param $id_kategorie(1) - od ktere kategorie se ma zacit vypisovat
    * @param $level - urcuje hloubku vnoreni, nenastavovat
    * @param $result - nenastavovat
    */
    function showKategorie($id_kategorie=1, $table= "kategorie", $level=-1, $result=""){
        $sql= "SELECT id_kategorie, nazev, jazyk, seo, publikovano 
                FROM $table 
                WHERE id_nad_kategorie = $id_kategorie
                ORDER BY nazev";
        $queryResult= $this->Select($sql);
        $level++;   
        foreach($queryResult as $key => $value){
            $pocProduktu= $this->countRecords("produkty", "WHERE id_kategorie=".$value['id_kategorie']);
            if($pocProduktu==0) $pocProduktu="";
            $value['publikovano']==1 ? $checked= "checked=\"checked\"" : $checked= "";
            if(count($queryResult)>0) $result= $this->showKategorie($value['id_kategorie'], $table, $level, $result);
            $result= "<tr class=\"rowl$level\">
                        <td class=\"wc50\">". $value['id_kategorie']. "</td>
                        <td class=\"lp$level\">
                            <a href=\"". $_SERVER['REQUEST_URI'] ."&amp;selectId=".$value['id_kategorie']."\">"
                                .$value["nazev"].
                            "</a></td>
                        <td class=\"wc50\">$pocProduktu</td>
                        <td class=\"wc50\">". $value['jazyk']. "</td>  
                        <td class=\"wc200\">". $value['seo']. "</td>   
                       <td class=\"wc50\"><input type=\"checkbox\" name=\"p".$value['id_kategorie']."\" $checked disabled=\"disabled\" /></td>
                       <td class=\"wc50\"><input type=\"checkbox\" name=\"".$value['id_kategorie']."\"  /></td>  
                       </tr>". $result;    
        }
        return $result;
    }
    
    function showAddUpdateForm($ciselnik="barvy", $values="", $tabs2=""){
        $action= $_SERVER['REQUEST_URI'];
        switch($ciselnik){
            default:
            case "barvy": {
                if(!$values['id_barvy']=="") $action.= "&amp;selectId=".$values['id_barvy'];
               foreach($values as $key => $value);
                    $res= "
                        <label>Barva</label>
                            <div><input class=\"w150\"type=\"text\" name=\"barva\" value=\"".$values['barva']."\" /></div>
                        <label>Jazyk</label>
                            <div><input class=\"w50\" type=\"text\" name=\"jazyk\" value=\"".$values['jazyk']."\" /><br /></div>";
            break;
            }
            
            case "velikost": {
                if(!$values['id_velikost']=="") $action.= "&amp;selectId=".$values['id_velikost'];
                $res= "
                    <label>Velikost</label><div><input class=\"w50\"type=\"text\" name=\"velikost\" value=\"".$values['velikost']."\" /></div>
                    <label>Jazyk</label><div><input class=\"w50\" type=\"text\" name=\"jazyk\" value=\"".$values['jazyk']."\" /></div>";
            break; }
            
            case "kategorie": {
                $table= ($tabs2=="produkty") ? "kategorie" : "kategorie_navrhy";
                if(!$values['id_kategorie']=="") $action.= "&amp;selectId=".$values['id_kategorie'];
                $values['publikovano']==1 ? $checked= "checked=\"checked\"" : $checked="";
                $res= "
                    <label>Kategorie</label><div><input class=\"w150\"type=\"text\" name=\"nazev\" value=\"".$values['nazev']."\" /></div>
                    <label>Nad kategorie</label><div class=\"w100\">". $this->showKategorieInCombo($table, 0, $values['id_nad_kategorie']) ."</div>
                    <label>Jazyk</label><div><input class=\"w50\" type=\"text\" name=\"jazyk\"  value=\"".$values['jazyk']."\"  /></div>
                    <label>seo</label><div><input class=\"150\" type=\"text\" name=\"seo\"  value=\"".$values['seo']."\"  /></div>
                    <label>Publikovat</label><div><input type=\"checkbox\" name=\"publikovano\" $checked /></div>
                ";
            break;}
        }
        $result = "
            <form action=\"$action\" method=\"post\">
                <h1>Přidat / Upravit</h1>";        
        $result.= $res;
        $result.= "
                <input class=\"submit\" type=\"submit\" name=\"odeslat\" value=\"Uložit\" />
            </form>";
        return $result;
    }  
    
    function addKategorie($table, $post){
        $post['publikovano']= (isset($post['publikovano'])) ? 1 : 0;
        $this->Insert($table, "nazev, id_nad_kategorie, jazyk, seo, publikovano", $post);
    }
    
    function editKategorie($table, $post, $selectId){
        $post= array_intersect_key($post, array("nazev" => "", "jazyk" => "", "seo" => "", "publikovano" => ""));
        $post['publikovano']= (isset($post['publikovano'])) ? '1' : '0';
        $this->Update($table, $post, "id_kategorie = $selectId");        
    }
    
    function delKategorie($table, $idKategorie){
        $query= "SELECT id_kategorie FROM $table WHERE id_nad_kategorie = $idKategorie";
        $podKategorie= $this->Select($query);
        if(count($podKategorie)>0){
            foreach($podKategorie as $key => $value)
                $this->delKategorie($table, $value['id_kategorie']);
        }
        $this->Delete($table, "id_kategorie = $idKategorie");
    }
 
}
  
?>