<?php
class Tnakup extends TFunctions{

    private
    /**
    * vrati celkovou cenu zbozi v kosiku
    * 
    * @param mixed $basket
    */
    function sumBaskyt($basket){
        $sum=0;
        foreach($basket as $key => $value)
            $sum+= $value['pocet'] * $value['cena'];
        return $sum;
    }   
    
    function kontrolaEmailFormat($email){
        if (ereg("^[_a-zA-Z0-9\.\-]+@[_a-zA-Z0-9\.\-]+\.[a-zA-Z]{2,4}$", $email) 
            && !ereg("\.{2,}", $email) && !ereg("_{2,}", $email) && !ereg("-{2,}", $email))
             return true;
        else return false;            
    }    
    
    public

    function porovnejAdresy($idUziv, $adresa) {
        $query= "SELECT jmeno, prijmeni, mesto, ulice, psc FROM uziv WHERE id_uziv=$idUziv";
        $adresaUzivatele= $this->Select($query);
        $adresaUzivatele= $adresaUzivatele[0];
        $diff=array_diff($adresa, $adresaUzivatele);
        if(count(array_diff($adresa, $adresaUzivatele))>2)
            return false;
        else return true;
    }
    
    function showBasket($basket){
        $href= $_SERVER['REQUEST_URI'];
        $result=
            "<form action=\"". $_SERVER['REQUEST_URI'] ."\" method=\"post\">
                <div class=\"topBasket\">
                    <p class=\"basketIcon\">Zboží v košíku</p>
                    <div class=\"cenaCelkem\">Cena celkem - <span>".$this->sumBaskyt($basket).",-</span> Kč</div>        
                    <div class=\"basketButtons\">
                        <a rel=\"nofollow\" href=\"/objednavka/krok1.htm\">Zobrazit košík</a>
                        <input class=\"buttonToA\" type=\"submit\" name=\"vyprazdniKosik\" value=\"Vyprázdnit košík\" />
                    </div>
                </div>
                <div class=\"basket\">
        ";
        foreach($basket as $key => $value){
            $query= "
                SELECT cesta FROM produkty, obrazky 
                    WHERE produkty.id_produkty= obrazky.id_produkty
                    AND produkty.id_produkty=".$value['id_produkty']."
                    AND detail= 1
            ";
            $queryResult= $this->Select($query);
            $result.= "
                <div>
                    <input class=\"zrusit\" type=\"submit\" name=\"smazZkosiku\" value=\"".$value['id_produkty']."\" title=\"zrušit tuto položku\" />
                    <img src=\"/img/produkty/".$queryResult[0]['cesta']."Thumb.jpg\" alt=\"Náhled produktu\" />
                    <p>".$value['nazev_produktu']."</p>
                    <p>".$value['pocet']." x ".$value['cena'].",-</p>
                    <p>".$value['velikost']. " - " .$value['barva']."</p>
                </div>
            ";
        }
        $result.= "</div></form>";
        return $result;
    }
    
    function toBasket($idProdutky, $velikost, $barva, $pocet){
        $query= "
            SELECT id_produkty, produkty.nazev as nazev_produktu, obleceni.nazev as nazev_obleceni, cena, sleva, velikost, barva
                FROM produkty, obleceni, velikost, barvy 
                WHERE produkty.id_obleceni = obleceni.id_obleceni
                AND id_produkty=$idProdutky
                AND id_velikost=$velikost
                AND id_barvy=$barva
        ";
        $result= $this->Select($query);
        $basket= $result[0];
        $pocet= array("pocet" => $pocet);
        $basket= array_merge($basket, $pocet);
        return $basket;
    }
    
    function delFromBasket($basket, $idProdukty){
        $result=array();
        foreach($basket as $key => $value){
            if($value['id_produkty']!=$idProdukty)
                array_push($result, $value);
        }
        return $result;
    }
    
    function showObjednavka($basket, $mode="normal"){
        $kos= "<th class=\"kos\"></th>";
        if($mode!="normal") $kos= "";           
        $result= "
            <div class=\"objednavka\">
            <table>
                <thead><tr>
                    <th class=\"w150\">Název produktu</th>
                    <th class=\"wc30\">Vel.</th>
                    <th class=\"w100\">Barva</th>
                    <th class=\"wc30\">ks</th>
                    <th class=\"wc50\">Cena/ks</th>
                    <th class=\"wc100\">Cena celkem</th>
                    $kos
                </tr></thead>
        ";
        $i=0;
        $sum=0;
        foreach($basket as $key => $value){
            $i%2 == 0 ? $radkovani= "r1" : $radkovani= "r2";
            $kos= "<td><a rel=\"nofollow\" title=\"zrušit tuto položku\"class=\"doKose\" href=\"index.php?menu=objednavka&amp;smazat=".$value['id_produkty']."\"></a></td>";
            if($mode!="normal") $kos= "";
            $result.= "
                <tr class=\"$radkovani\">
                    <td class=\"w150\">".$value['nazev_produktu']."</td>
                    <td class=\"wc30\">".$value['velikost']."</td>
                    <td class=\"w100\">".$value['barva']."</td>
                    <td class=\"wc30\">".$value['pocet']."</td>
                    <td class=\"wc50\">".$value['cena'].",-</td>
                    <td class=\"wc100\">".$cena= $value['pocet'] * $value['cena'].",- Kč</td>
                    $kos
                </tr>
            ";
            $i++;
            $sum+= $cena;
        }
        $result.= "
            <tfoot>
                <tr>
                    <td class=\"ar\" colspan=\"5\">Součet:</td>
                    <td class=\"sum\" colspan=\"2\">$sum,- Kč</td>
                </tr>
            </tfoot></table>
            </div>
        ";
        return $result;
    }

    function showDoprava(){
        $doprava= $this->Select("SELECT id_doprava, popis, cena FROM doprava WHERE publikovano=1");
        $result="
            <div class=\"doprava\">
                <form action=\"/objednavka/krok3.htm\" method=\"post\">
                    <fieldset>
                        <legend>Způsob doručení a platby</legend>
        ";
        foreach($doprava as $key => $value){
            $checked= $value['cena']==0 ? "checked=\"checked\"" : "";
            $result.="        
                        <label for=\"id". $value['id_doprava'] ."\">". $value['popis'] ." (". $value['cena'] .",- Kč)</label>
                            <input  type=\"radio\" $checked 
                                    name=\"platba\" 
                                    id=\"id". $value['id_doprava']. "\" 
                                    value=\"". $value['id_doprava']. "\" /><br />
            ";
        }
        $result.= "
                    </fieldset>
                    <input class=\"pokracovat\" type=\"submit\" name=\"odeslat\" value=\"Pokračovat\" />        
                </form>
            </div>
        ";
        return $result;
    }
    
    function showAdrForm($role, $idUziv=0, $values){
        if($role=="host"){
            $registrace="
                <fieldset>
                <legend>Kontakty</legend>
                    <label for=\"email\">email*</label><input class=\"w200\" type=\"text\" name=\"email\" id=\"email\" /><br />
                    <label for=\"tel\">telefon</label><input class=\"w100\" type=\"text\" name=\"tel\" id=\"tel\" maxlength=\"12\" /><br />   
                </fieldset>
            ";
            $uziv= $values;
        }else {
            $registrace="";
            $query= "SELECT jmeno, prijmeni, mesto, ulice, psc FROM uziv WHERE id_uziv=$idUziv";
            $uziv= $this->Select($query);
            $uziv= $uziv[0];
        }
        $result="
            <div class=\"dorucitNa\">
                <form action=\"/objednavka/krok4.htm\" method=\"post\">
                <fieldset>
                <legend>Jméno a příjmení</legend>
                    <label for=\"jmeno\">Jméno*</label>
                        <input type=\"text\" name=\"jmeno\" id=\"jmeno\" value=\"".$uziv['jmeno']."\" /><br />
                    <label for=\"prijmeni\">Příjmení*</label>
                        <input type=\"text\" name=\"prijmeni\" id=\"prijmeni\" value=\"".$uziv['prijmeni']."\" /><br />
                </fieldset>
                <fieldset>
                <legend>Adresa</legend>
                    <label for=\"mesto\">Město*</label> 
                        <input class=\"w200\" type=\"text\" name=\"mesto\" id=\"mesto\" value=\"".$uziv['mesto']."\" /><br />
                    <label for=\"ulice\">Ulice a č.p.*</label>
                        <input class=\"w200\" type=\"text\" name=\"ulice\" id=\"ulice\" value=\"".$uziv['ulice']."\" /><br />
                    <label for=\"psc\">PSČ*</label>
                        <input class=\"w50\" type=\"text\" name=\"psc\" value=\"".$uziv['psc']."\" id=\"psc\" maxlength=\"5\" />
                </fieldset>
                $registrace
                <input class=\"pokracovat\" type=\"submit\" name=\"odeslat\" value=\"Pokračovat\" />
                </form>
            </div>
        ";
        return $result;
    }
    
    function kontrolaAdr($values, $email=0){
        $message="";
       
        if($values['jmeno']=="") $message.= "Nezadal jsi jméno.<br />";
            else if(!ereg("^[^ßĚŮěů0-9[:space:][:punct:]][^0-9[:space:][:punct:]]{1,}$", $values['jmeno'])) $message.= "Ve jméně se vyskytují nepovolené znaky.<br />";
        if($values['prijmeni']=="") $message.= "Nezadal jsi příjmení.<br />";
            else if(!ereg("^[^ßĚŮěů0-9[:space:][:punct:]][^0-9[:space:][:punct:]]{1,}$", $values['prijmeni'])) $message.= "V příjmení se vyskytují nepovolené znaky.<br />";
        if($values['mesto']=="") $message.= "Nezadal jsi město.<br />";
            else if(!ereg("^[^'\\]*$", $values['mesto'])) $message.= "V názvu ulice se vyskytují nepovolené znaky.<br />";
        if($values['ulice']=="") $message.= "Nezadal jsi ulici.<br />";
            else if(!ereg("^[^'\\]*$", $values['ulice'])) $message.= "V názvu ulice se vyskytují nepovolené znaky.<br />";
        if($values['psc']=="") $message.= "Nezadal jsi PSČ.<br />";
        else if(!is_numeric($values['psc'])) $message.= "PSČ musí obsahovat pouze číslice.<br />";
        
        if($email==0)
            if($values['email']=="") $message.= "Nezadal jsi email.<br />"; 
            else if(!$this->kontrolaEmailFormat($values['email']))
                $message.= "Email byl zadán ve špatném formátu.<br />"; 
                
        return $message;    
    }
    
    function showPotvrzeni($basket, $dopravaId, $adresa){
        $doprava= $this->Select("SELECT popis, cena FROM doprava WHERE id_doprava= $dopravaId");
        $doprava= $doprava[0];
        $message= "Tímto závazně objednávám zboží uvedené níže. <br />
                   Způsob doručení: ". $doprava['popis'];
        if($doprava['cena']>0){
            $postovne= array("nazev_produktu" => "Poštovné", "cena" => $doprava['cena'], "pocet" => 1, "velikost"=>"", "barva"=>"", "id_produkty"=>"");
            $basket[count($basket)]= $postovne;
        }

        $result="
            <div class=\"potvrzeni\">
                <p class=\"centre\">$message</p>
                ".$this->showObjednavka($basket, "fixed")."
                <div class=\"adresa\">
                    <label>Jméno:</label>    <p>".$adresa['jmeno']."</p>
                    <label>Příjmení:</label> <p>".$adresa['prijmeni']."</p>
                    <label>Město:</label>    <p>".$adresa['mesto']."</p>
                    <label>Ulice:</label>    <p>".$adresa['ulice']."</p>
                    <label>PSČ:</label>      <p>".$adresa['psc']."</p>
                    <label>email:</label>    <p>".$adresa['email']."</p>
                </div>
            </div>
            <div class=\"pozadavek\">
                <form action=\"/objednavka/krok5.htm\" method=\"post\">
                    <label>Dotaz(max. 500 znaků)</label><br />
                    <textarea name=\"pozadavek\">Zde je prostor pro vaše dotazy...</textarea>
                    <input type=\"submit\" name=\"odeslat\" value=\"Odeslat objednávku\" />
                </form>
            </div>
        ";
        return $result;
    }    
    
    /**
    * ulozi objednavku do DB(hosta ulozi jako uzivatele s id=0)
    * 
    * @param mixed $basket
    * @param mixed $idUziv
    * @param mixed $adresa - dodaci adresa
    */
    function saveObjednavka($basket, $idUziv=0, $adresa, $pozadavek, $dopravaId=0){
        if($adresa!="")
            $dodaciAdresa="
                <dodaciAdresa>
                    <adresa>
                        <jmeno>".$adresa['jmeno']." ".$adresa['prijmeni']."</jmeno>
                        <ulice>".$adresa['ulice']."</ulice>
                        <mesto>".$adresa['mesto']."</mesto>
                        <psc>".$adresa['psc']."</psc>
                    </adresa>
                    <kontakt>
                        <email>".$adresa['email']."</email>
                        <tel>".$adresa['tel']."</tel>
                    </kontakt>    
                </dodaciAdresa>
            ";
        else $dodaciAdresa= "";

        
        $doprava= $this->Select("SELECT popis, cena FROM doprava WHERE id_doprava= $dopravaId");
        $doprava= $doprava[0];
        if($doprava['cena']!=0){
            $postovne= array("nazev_produktu" => "Poštovné", "cena" => $doprava['cena'], "pocet" => 1, "velikost"=>"",
                             "barva"=>"", "id_produkty"=>"0", "nazev_obleceni"=>"", "sleva"=>"0");
            $basket[count($basket)]= $postovne;
        }
        
        $values= array($idUziv, $dopravaId, $this->sumBaskyt($basket), mysql_escape_string($pozadavek), $dodaciAdresa);
        $this->Insert("objednavky", "id_uziv, id_doprava, cena_celkem, pozadavek, dodaci_adresa", $values);
        $idObjednavky= $this->getLastId("objednavky");
        foreach($basket as $key => $value){
            $produkt= array($idObjednavky, $value['id_produkty'], $value['nazev_produktu'], $value['nazev_obleceni'],
                            $value['velikost'], $value['barva'], $value['pocet'], $value['cena'], $value['sleva']);
            $this->Insert("pro_obj", 
                          "id_objednavky, id_produkty, nazev_produktu, nazev_obleceni, velikost, barva, pocet, cena, sleva",
                          $produkt);
        }
    }
    
    /**
    * zobrazuje informace a pokyny o objednavce v levem panelu
    * 
    * @param mixed $krok
    */
    function showInfo($krok){
        switch($krok){
            case "1":
                $result= "
                    <div class=\"objednavkaInfo\">
                        <h1>Krok 1</h1>
                        <h2>Objednávka</h2>
                        <p>Kliknutím na \"pokračovat\" se přesunete na další krok objednávky.</p>
                    </div>
                ";
            break;
            case "2":
                $result= "
                    <div class=\"objednavkaInfo\">
                        <h1>Krok 2</h1>
                        <h2>Platba/doručení</h2>
                        <p>Vyber jakým způsobem si přeješ doručit a zaplatit objednané zboží.</p>
                    </div>
                ";            
            break;
            case "3":
                $result= "
                    <div class=\"objednavkaInfo\">
                        <h1>Krok 3</h1>
                        <h2>Dodací adresa</h2>
                        <p>
                            Vyplň na jaké jméno a na jakou adresu by zboží mělo být doručeno. Pokud si zboží vyzvedneš osobně,
                            stačí když vyplníš pouze jméno a příjmení.
                        </p>
                    </div>
                ";            
            break;
            case "4":
                $result= "
                    <div class=\"objednavkaInfo\">
                        <h1>Krok 4</h1>
                        <h2>Rekapitulace</h2>
                        <p>
                            Tady si pro jistotu můžeš překontrolovat požadované zboží a dodací adresu. 
                            Taky nám můžeš napsat případné požadavky. U některého nabízeného oblečení není problém
                            oblečení vyrobit v jiných než-li nabízených barvách. 
                        </p>
                    </div>
                ";                  
            break;
            case "5":
                $result= "
                    <div class=\"objednavkaInfo\">
                        <h1>Krok 5</h1>
                        <h2>Objednávka přijata</h2>
                    </div>
                ";                        
            break;                        
        }
        return $result;
    }
}  
?>
