<?php
    session_start();
    
    include 'class/DBconn.php';
    
    $set=new TdbSetup();
    $domena= $set->domena;
        
    include 'class/url.php';
    $db= new TDBoperations;
    $url= new Turl($domena);
    $url->opravURL($_GET);
    
    include 'class/shop/shopFunctions.php';
    include 'class/shop/registrace.php';
    include 'class/shop/aktuality.php';
    include 'class/shop/nakup.php';
    include 'class/shop/diskuze.php';
    include 'class/shop/users.php';  
    
    

    $shopFunc= new TshopFunctions;
    $reg= new Tregistrace;
    $prisp= new Tprispevky;
    $nakup= new Tnakup;
    $diskuze= new Tdiskuze;  
    $users= new Tusers;

    
    if(isset($_POST['odhlasit'])){
        session_destroy();
        header('Location: index.php');
        exit();
    }
    
    if(!isset($_SESSION['login'])){
        $prihlasen= false;
        $_SESSION['role']="host";
    }else{
        $prihlasen= true;
    }

    if (isset($_POST['login'])) {
        if($shopFunc->kontrolaEmail($_POST['email']) && $shopFunc->kontrolaPass($_POST['pass'])){
            if(!$_POST['email']=="" && !$_POST['pass']==""){
                $query= "SELECT uziv.id_uziv, jmeno, prijmeni, role FROM uziv, role
                            WHERE email='".$_POST['email']."' AND pass='".md5($_POST['pass'])."'
                            AND uziv.id_role = role.id_role   
                        ";
                $result= $db->Select($query);
            
                if(count($result)==1){
                    $_SESSION['login']= 1;
                    $_SESSION['id_uziv']= $result[0]['id_uziv'];
                    $_SESSION['role']= $result[0]['role'];
                    $_SESSION['email']= $_POST['email'];
                    $_SESSION['jmeno']= $result[0]['jmeno'];
                    $_SESSION['prijmeni']= $result[0]['prijmeni'];
                    $prihlasen= true;
                }else{
                    $_GET['menu']= "loginError";
                }
            }else{
                $_GET['menu']= "loginError";
            }
        }else{
            $_GET['menu']= "loginError";
        }
    }
    if(!isset($_SESSION['basket'])){
        $_SESSION['basket']= array();
    }
?>
                                          

<?php
    // promene slouzici pro vypis v template souboru xxx_list.php
    $leftMenu="";
    $content="";
    $login="";    
    $message="";
    $title= "Trička, trika, tílka - ručně malovaná";
    
    //--------------    kosik   ---------------------
    if(isset($_POST['smazZkosiku']))
        $_SESSION['basket']= $nakup->delFromBasket($_SESSION['basket'], $_POST['smazZkosiku']);
    
    if(isset($_POST['vyprazdniKosik']))
        $_SESSION['basket']= array();  
    
    if(count($_SESSION['basket'])==0) $basket="";
    else
        if(isset($_GET['krok'])){    //objednavka byla dokoncena, kosik bude vyprazdnen
            if($_GET['krok']<5) $basket="";
        }else
            $basket= $nakup->showBasket($_SESSION['basket']);
    //$basket= $nakup->showBasket($_SESSION['basket']);

    //--------------    zobrazeni v login liste ----------------
    $user= $users->showLoginUser($prihlasen);
    if(!$prihlasen) $login= $users->showLogin();
    
    //promenne slouzici pro strankovani
    if(isset($_GET['aktualStr'])) $aktualStr=$_GET['aktualStr'];
    else $aktualStr= 1;
    $pocNaStr= 9;

//---------------------------------testing-----------------
   //var_export($_GET);
   //var_export($_POST); 
   //var_export($_SERVER);
//-------------------------------- vetveni MENU ----------------------------------------------------    
    if(!isset($_GET['menu'])) $_GET['menu']="uvod";
    switch($_GET['menu']){
        case "loginError": {
            $content="";
            if(isset($_POST['odeslatEmail'])) {
                $query= "SELECT pass FROM uziv WHERE email='".$_POST['emailNewPass']."'";
                $result= $db->Select($query);
                if(count($result)==1){
                    $content= "<div class=\"loginError\"><p>Heslo bylo úspěšně odesláno na zadaný email.</p></div>";
                }else{
                    $message= "<div class=\"loginError\">
                                <p>Zadaný email nebyl v databázi nalezen!</br>
                                   Můžeš zopakovat zadání emailu.</p></div>";
                    $content.= $reg->showErrorLoginForm($message);
                }
            }else{
                $message= "<h2>Byl chybně zadán email nebo heslo.</h2>
                            <p>Pokud si přeješ odeslat heslo na email, vyplň následující email a stiskni tlačítko odeslat.</p>";
                $content= $reg->showErrorLoginForm($message);
            }
            if(isset($_POST['zapomenuteHeslo'])){
                if($reg->kontrolaEmailFormat($_POST['emailNewPass'])){
                    $reg->sendMailNewPass($_POST['emailNewPass']);
                    $content.= "<div class=\"message\">Na email bylo odesláno nově vygenerované heslo.</div>";
                }
                else $content.= "<div class=\"message\">Email má špatný formát, opakuj zadání.</div>";                
            }
                $leftMenu= $shopFunc->showMenu();
                include_once 'tpl/shop/shop_list.php';
        break;}
        
        case "aktuality": {
            $leftMenu= $prisp->showAktualityInfo($_SESSION['role']);  
            
            if(isset($_POST['ulozPrispevek'])){
                if(isset($_POST['idAktuality'])){
                    $idAktuality= $_POST['idAktuality'];
                    array_pop($_POST);
                    array_pop($_POST);              
                    $db->Update("aktuality", $_POST, "id_aktuality = $idAktuality");
                }else{
                    $values= array($_SESSION['id_uziv'], $_POST['text']);
                    $db->Insert("aktuality", "id_uziv, text", $values);
                }
            }
            
            if(isset($_POST['volba']))
                switch($_POST['volba']) {
                    case "Přidat aktualitu":
                        $content= $prisp->showWisiwig();
                    break;
                    case "E":
                        $query= "SELECT text FROM aktuality WHERE id_aktuality=".$_POST['idAktuality'];
                        $text= $db->Select($query);
                        $content= $prisp->showWisiwig($text[0]['text'], $_POST['idAktuality']);
                    break;
                    case "D":
                        $db->Delete("aktuality", "id_aktuality=". $_POST['idAktuality']);
                      //  $content= $prisp->showAktuality($_SESSION['role']);                    
                }
            else {
                $str= new Tstrankovani($db->countRecords("aktuality"), $aktualStr, $pocNaStr);
                $content= $prisp->showAktuality($_SESSION['role'], $str->getOd(), $str->getPocNaStr()); 
          //      if($str->getPocStr()>1) $content.= $str->showStrankovani();
            }

            include_once 'tpl/shop/aktuality_list.php';
        break;}
        
        case "obchod": {
            $message="";
            //pridavani zbozi do kosiku
            if(isset($_POST['toBasket'])){
                if(!ereg("^[0-9]*$", $_POST['pocet']))
                     $message="Špatně zadaný počet kusů!";
                else{
                    array_push($_SESSION['basket'], $nakup->toBasket($_GET['selectId'],
                               $_POST['velikost'], $_POST['barva'], $_POST['pocet']));
                    $basket= $nakup->showBasket($_SESSION['basket'], "index.php?".$_SERVER['QUERY_STRING']);
                }
            }
                        
            //$leftMenu= $shopFunc->showVyhledavani();
            if(isset($_GET['kategorie']))
                $leftMenu.= $shopFunc->showMenu($_GET['kategorie']);
            else 
                $leftMenu.= $shopFunc->showMenu();

            //zobrazeni detailu produktu
            if(isset($_GET['selectId'])){
                //osetreni proti opetovnemu hodnoceni
                if(isset($_POST['hodnoceni'])) 
                    if($_SESSION['role']=='host'){
                        if(!$shopFunc->hodnotHost($_SERVER['REMOTE_ADDR'], $_GET['selectId'], $_POST['hodnoceni']))
                            $message="Z této IP adresy bylo již hodnoceno. Pokud chceš hodnotit musíš se přihlásit.";
                    }else{
                        if(!$shopFunc->hodnotUziv($_SESSION['id_uziv'], $_GET['selectId'], $_POST['hodnoceni']))
                            $message="Tohle oblečení už si hodnotil(a)";
                    }
                $title.= " | ". $shopFunc->getProduktTitle($_GET['selectId']);            
                $content= $shopFunc->showProdukt($_GET['selectId'], $_GET['kategorie'], $message);
                $content.= $shopFunc->showOtherImgNahledy($_GET['selectId']);
                
                
                $nazev="";
                $idVlakno= 0;
                if(isset($_POST['tools']))
                    if($_POST['tools'] == 'D') $diskuze->delPrispevky($_POST['idPrispevek'], $_POST['table']);
                if(isset($_POST['reagovatNaId'])){
                    $nazev= "Re:" . $diskuze->getNazev($_POST['reagovatNaId']);
                    $idVlakno= $_POST['reagovatNaId'];                
                }
                if(isset($_POST['odeslat'])){
                    array_pop($_POST);
                    $diskuze->insertPrispevek($_POST, "dis_pro", $_GET['selectId']);
                }
                $diskForm= $diskuze->showForm($nazev, $idVlakno);
                $str= new Tstrankovani($diskuze->getPocPrispevku("dis_pro", $_GET['selectId']), $aktualStr, 10);
                $akt=0;
                $prispevky= $diskuze->showPrispevky("dis_pro", $_SESSION['role'], 10, $str->getOd(), $str->getDo(), $akt, $_GET['selectId']);
                if($str->getPocStr()>1) $prispevky.= $str->showStrankovani();        
                include_once 'tpl/shop/produkt_list.php';
            }else{ 
                //zobrazeni nahleduu produktuu v obchode
                if(isset($_GET['kategorie'])){
                    $produkty= $shopFunc->getProduktyInKategorie($_GET['kategorie']);
                    $str= new Tstrankovani(count($produkty), $aktualStr, $pocNaStr);
                    $title.= "|". $shopFunc->getKategorieTitle($_GET['kategorie'], "-");                
                    $content= $shopFunc->showPanelKategorie($_GET['kategorie']);
                    $content.= $shopFunc->showNahledyProdukty($produkty, $str->getOd(), $str->getPocNaStr());
                    if($str->getPocStr()>1) $content.= $str->showStrankovani();
                }else{
                    $produkty= $shopFunc->getProduktyInKategorie(1, "N");
                    $str= new Tstrankovani(count($produkty), $aktualStr, $pocNaStr);
                    $title.= " | Novinky";                    
                    $content= $shopFunc->showPanelKategorie(1, "N");
                    $content.= $shopFunc->showNahledyProdukty($produkty, $str->getOd(), $str->getPocNaStr(), "N");
                    if($str->getPocStr()>1) $content.= $str->showStrankovani();
                }
                include_once 'tpl/shop/shop_list.php';
            }
            
            
        break;}
        
        case "navrhy": {
            include 'class/shop/navrhy.php';
            $navrhy= new TnavrhyShop;                      
            
            $uzivMoznosti= "";
            $varianty= "";
            
            if($prihlasen)
                $uzivMoznosti= $navrhy->showUzivMoznosti();
            else
                $uzivMoznosti= "<p style=\"text-align:center;\">Pokud chceš přidávat vlastní návrhy, musíš se přihlásit.</p>";
                
            if(isset($_GET['volba'])){
                if($_GET['volba'] == "pridat")
                    switch($_GET['krok']){
                    case 1:
                        $leftInfo= $navrhy->leftInfo($_GET['krok']);
                        $popis= "";
                        
                        if(isset($_POST['popis'])) $popis= $_POST['popis'];
                            $content= $navrhy->showAddForm($_SESSION['id_uziv'], $popis);
                        
                        include_once 'tpl/shop/navrhy/addNavrhy1_list.php';    
                    break;
                    case 23:
                        if(isset($_POST['nazev']))
                            $_SESSION['navrh']= array("nazev" => $_POST['nazev'], "popis" => $_POST['popis']);
                        
                        $leftInfo= $navrhy->leftInfo(2);
                        $content= $navrhy->showAddImgForm(6);
                        
                        if(isset($_POST['loadPicture'])){ 
                            $_FILES= $navrhy->checkFiles($_FILES);
                            if(count($_FILES) == 0)
                                $message= "Musíš vybrat alespoň jeden obrázek!";
                            else
                                $message= $navrhy->kontrolaObrazku($_FILES);
                                
                            if($message == ""){
                                $navrhy->makeTmpImg($_FILES, $_SESSION['id_uziv']);
                                $leftInfo= $navrhy->leftInfo(3);
                                $content= $navrhy->showPrehled($_FILES, $_SESSION['id_uziv']);
                                $_SESSION['navrh']['files']= $_FILES;
                                include_once 'tpl/shop/navrhy/addNavrhy3_list.php';
                            }else{ 
                                include_once 'tpl/shop/navrhy/addNavrhy2_list.php';
                            }
                        }
                        else
                            include_once 'tpl/shop/navrhy/addNavrhy2_list.php';
                    break;
                    case 4:
                        $leftInfo= $navrhy->leftInfo(4);
                        // zajisteni proti obnoveni stranky a opetovnemu vlozeni do DB
                        if($navrhy->checkNazevInDB($_SESSION['navrh']['nazev']) == "")
                            $idNavrhu= $navrhy->saveNavrh($_SESSION['navrh'], $_SESSION['id_uziv']);
                            $navrhy->saveNavrhImg($idNavrhu, $_SESSION['navrh']['files']);
                        include_once 'tpl/shop/navrhy/addNavrhy4_list.php';                            
                    break;
                }    
                
                if($_GET['volba'] == "editovat"){
                    switch($_GET['krok']){
                        case 1:
                            $leftInfo= $navrhy->leftInfo(11);
                            $dataNavrhy= $navrhy->getNavrhyUzivatele($_SESSION['id_uziv']);
                            $str= new Tstrankovani(count($dataNavrhy), $aktualStr, $pocNaStr);
                            $content= $navrhy->showNahledyNavrhy($dataNavrhy, $str->getOd(), $str->getPocNaStr(), "", 1);
                            if($str->getPocStr()>1) $content.= $str->showStrankovani();
                            include_once 'tpl/shop/navrhy/editNavrhy1_list.php';
                        break;
                        case 2:
                            if(isset($_POST['odstranit'])){
                                foreach($_POST['v'] as $value)
                                    $navrhy->delVarianta($value);
                            }
                            if(isset($_POST['loadPicture'])){
                                if($navrhy->getPocVariant($_GET['selectId']) < 6){
                                    $_FILES= $navrhy->checkFiles($_FILES);
                                    $message= $navrhy->kontrolaObrazku($_FILES);     
                                    if($message == "")
                                        $navrhy->makeTmpImg($_FILES, $_SESSION['id_uziv']);
                                        $navrhy->saveNavrhImg($_GET['selectId'], $_FILES);
                                }
                            }
                            $leftInfo= $navrhy->leftInfo(12);
                            $pocVariant= $navrhy->getPocVariant($_GET['selectId']);
                            if($pocVariant == 6) $message= "Bylo dosaženo maximálního počtu variant!";
                            else $content= $navrhy->showEditNavrhImgForm($_GET['selectId'], 6 - $pocVariant);
                            $varianty= $navrhy->showVariantyUziv($_GET['selectId']);
                            include_once 'tpl/shop/navrhy/editNavrhy2_list.php';
                        break;
                    }
                }
                exit;
            }
            
            $idKategorie= (isset($_GET['kategorie'])) ? $_GET['kategorie'] : 1;
            $kategorie= $navrhy->showKategorieMenu(1, $idKategorie);        
            
            //vyber urciteho navrhu
            if(isset($_GET['selectId'])){
                $title.= " | ". $navrhy->getNavrhyTitle($_GET['selectId']);                                      
                //osetreni proti opetovnemu hodnoceni
                if(isset($_POST['hodnoceni'])) 
                    if($_SESSION['role']=='host'){
                        if(!$navrhy->hodnotHost($_SERVER['REMOTE_ADDR'], $_GET['variantaId'], $_POST['hodnoceni']))
                            $message="Z této IP adresy bylo již hodnoceno. Pokud chceš hodnotit musíš se přihlásit.";
                    }else{
                        if(!$navrhy->hodnotUziv($_SESSION['id_uziv'], $_GET['variantaId'], $_POST['hodnoceni']))
                            $message="Tohle oblečení už si hodnotil(a)";
                    }     
                //vyber urcite varianty danneho navrhu                   
                if(isset($_GET['variantaId'])){  
                    $content= $navrhy->showNavrh($_GET['selectId'], $_GET['variantaId']);
                    if($content == "") $message= "Vybraný návrh byl buď přesunut do obchodu a je již k prodeji nebo byl odstraněn z databáze.";
                    else {
                        $varianty= $navrhy->showVarianty($_GET['selectId'], $_GET['variantaId']);
                        
                        $nazev="";
                        $idVlakno= 0;
                        if(isset($_POST['tools']))
                            if($_POST['tools'] == 'D') $diskuze->delPrispevky($_POST['idPrispevek'], $_POST['table']);
                        if(isset($_POST['reagovatNaId'])){
                            $nazev= "Re:" . $diskuze->getNazev($_POST['reagovatNaId']);
                            $idVlakno= $_POST['reagovatNaId'];                
                        }
                        if(isset($_POST['odeslat'])){
                            array_pop($_POST);
                            $diskuze->insertPrispevek($_POST, "dis_var", $_GET['variantaId']);
                        }
                        $diskForm= $diskuze->showForm($nazev, $idVlakno);
                        $str= new Tstrankovani($diskuze->getPocPrispevku("dis_var", $_GET['variantaId']), $aktualStr, 10);
                        $akt=0;
                        $prispevky= $diskuze->showPrispevky("dis_var", $_SESSION['role'], 10, $str->getOd(), $str->getDo(), $akt, $_GET['variantaId']);
                        if($str->getPocStr()>1) $prispevky.= $str->showStrankovani();
                    }
                } 
                
                $hidden= ($varianty == "") ? "style=\"display: none;\"" : "";
                include_once 'tpl/shop/navrhy/navrh_list.php';
            }else{
                //  zobrazeni uvodni strany v navrzich
                $title.= " | Návrhy";
                if($idKategorie == 1){
                    $dataNavrhy= $navrhy->getNavrhyInKategorie($idKategorie);
                    $pocNavrhu= count($dataNavrhy);
                    if($pocNavrhu > 3){
                        $randKeys= array_rand($dataNavrhy, 3);
                        $vyber= array();
                        for($i=0; $i < 3; $i++) array_push($vyber, $dataNavrhy[$randKeys[$i]]);
                    }else{
                        $vyber= $dataNavrhy;
                    }
                    $content= $navrhy->showNahledyNavrhy($vyber, 0, count($vyber));
                    include_once 'tpl/shop/navrhy/navrh_uvod_list.php';
                //  zobrazeni nahleduu dane kategorie
                }else{      
                    $dataNavrhy= $navrhy->getNavrhyInKategorie($idKategorie);
                    $str= new Tstrankovani(count($dataNavrhy), $aktualStr, $pocNaStr);
                    $title.= " | ". $navrhy->getKategorieTitle($_GET['kategorie'], "-");                
                    $content= $navrhy->showNahledyNavrhy($dataNavrhy, $str->getOd(), $str->getPocNaStr());
                    if($str->getPocStr()>1) $content.= $str->showStrankovani();
                    include_once 'tpl/shop/navrhy/nahledy_list.php';
                }
            }
            
        break;}
        
        case "obchodni-podminky": {
            $title.= " - Obchodní podmínky";
            include_once 'tpl/shop/op_list.php';
        break;}
        
        case "o-nas": {
            $title.= " - Něco málo o nás";
            include_once 'tpl/shop/about_list.php';
        break;}
        
        case "uvod":{
            $title.= " - Obchůdek u Toma a Janinky";
            include_once 'tpl/shop/home_list.php';        
        break;}
        
        case "registrace": {
            $title.= " - Registrace nového zákazníka";
            $message="";
            $registrace= false;
            $values= array();
            if(isset($_POST['odeslat'])){
                $message.= $reg->kontrolaEmail($_POST['email']);
                $message.= $reg->kontrolaUdaju($_POST);
                if(!isset($_POST['souhlas'])) $message.= "Je nutno souhlasit s licenčními podmínkami.";    
                if($message==""){
                    $values=array( 2, $_POST['email'], md5($_POST['pass']), $_POST['jmeno'],
                                   $_POST['prijmeni'], $_POST['zeme'], $_POST['mesto'], $_POST['ulice'],
                                   $_POST['psc'], $_POST['tel']);
                    $db->Insert("uziv", "id_role, email, pass, jmeno, prijmeni, zeme, mesto, ulice, psc, tel", $values);
                }                             
                if($message=="") $registrace=true;
                $values= $_POST;
            }
            if(!$message=="" || !$registrace) {
                $content= $reg->showRegistraceForm($values, true);
            }else{
                $content= "<p>
                                Registrace proběhla úspěšně, na email obdržíš informace o registraci.
                                Nyní se můžeš přihlásit.<br />Přejeme příjemné nakupování.
                           </p>";
                $reg->sendMailRegistrace($_POST['email'], $_POST);                             
            }
            include_once 'tpl/shop/registrace_list.php';
        break;}
        
        case "objednavka": {
            $title.= " - Tvorba objednávky";
            $values=0;
            if(isset($_POST['odeslat']) && $_GET['krok']==4){
                $idUziv= (isset($_SESSION['id_uziv'])) ? $_SESSION['id_uziv'] : 0;
                $message= $nakup->kontrolaAdr($_POST, $idUziv);
                if($message=="") 
                    $_GET['krok']=4;
                else{
                    $_GET['krok']=3;
                    $values=$_POST;
                } 
            }
            
            if(isset($_GET['krok'])){ 
                $leftMenu= $nakup->showInfo($_GET['krok']);
                switch($_GET['krok']){
                    case "1":           // zobrazeni zbozi v kosiku
                        $content= $nakup->showObjednavka($_SESSION['basket']);
                        $content.= "
                            <a rel=\"nofollow\" class=\"button\" href=\"/objednavka/krok2.htm\">Pokračovat</a>
                            <div class=\"corrector\"></div>";
                    break;
                
                    case "2":           // nastaveni zpusobu platby a doruceni
                        $content= $nakup->showDoprava();
                    break;
                    case "3":           // zadani dorucovaci adresy
                        if(isset($_POST['platba'])) $_SESSION['platba']=  $_POST['platba'];
                        $idUziv= (isset($_SESSION['id_uziv'])) ? $_SESSION['id_uziv'] : 0;                        
                        if($values==0) $values=array("jmeno"=>"", "prijmeni"=>"", "mesto"=>"", "ulice"=>"", "psc"=>"", "email"=>"", "tel"=>"");
                        $content= $nakup->showAdrForm($_SESSION['role'], $idUziv, $values);
                    break;
                    case "4":           // prehled objednaneho zbozi, zobrazeni adresy + pole pro pripadne dotazy
                        if(isset($_POST['email'])) $email= $_POST['email']; else $email= $_SESSION['email'];
                        if(isset($_POST['tel'])) $tel= $_POST['tel']; else $tel= "";
                        $adresa= array("jmeno"=> $_POST['jmeno'], "prijmeni"=> $_POST['prijmeni'], "mesto"=> $_POST['mesto'],
                                        "ulice"=> $_POST['ulice'], "psc"=> $_POST['psc'], "email"=> $email, "tel"=> $tel);
                        $_SESSION['adresa']= $adresa;
                        $content= $nakup->showPotvrzeni($_SESSION['basket'], $_SESSION['platba'], $adresa);
                    break;
                    case "5":           // ulozeni objednavky do DB
                        if($_SESSION['role']=="host"){
                            $nakup->saveObjednavka($_SESSION['basket'], 0, $_SESSION['adresa'], $_POST['pozadavek'], $_SESSION['platba']);
                        }
                        if($_SESSION['role']=="uziv"){
                            if($nakup->porovnejAdresy($_SESSION['id_uziv'], $_SESSION['adresa'])) $_SESSION['adresa']="";
                            $nakup->saveObjednavka($_SESSION['basket'], $_SESSION['id_uziv'], $_SESSION['adresa'], $_POST['pozadavek'], $_SESSION['platba']);
                        }
                        $content= "
                            <div class=\"centre\">
                            <h1>Objednávka přijata</h1>
                            <p>Objednávka byla uložena do databáze, bude vyřízena v co nejkratším čase. O stavu objednávky Vás budeme 
                                postupně informovat prostřednictvím emailu. Děkujeme za nákup a přejeme krásný den :)
                            </p>
                            </div>
                        ";
                        unset($_SESSION['basket']);
                    break;
                }
            }
            include_once 'tpl/shop/shop_list.php';
        break;}
        
        case "muj-ucet":{
            $title.= " - Můj účet";
            $message="";
            $content= $reg->showProfil($_SESSION['id_uziv']);
            $registrace= false;
            if(isset($_POST['odeslat'])){
                $message= $reg->kontrolaUdaju($_POST);
                if($message==""){
                    $values=array( "id_role" => 2, "email" => $_POST['email'], "pass" => md5($_POST['pass']), "jmeno" => $_POST['jmeno'],
                                   "prijmeni" => $_POST['prijmeni'], "zeme" => $_POST['zeme'], "mesto" => $_POST['mesto'],
                                   "ulice" => $_POST['ulice'], "psc" => $_POST['psc'], "tel" => $_POST['tel']);
                    $db->Update("uziv", $values, "id_uziv=".$_SESSION['id_uziv']);
                    $registrace=true;
                }                             
                
                $values= $_POST;
            }
            if(!$message=="" || !$registrace) {
                $content= $reg->showProfil($_SESSION['id_uziv']);
            }else{
                $content= "
                    <p>Údaje byly uloženy do databáze.</p>
                    <p>Na email obdržíte informace o změně.</p>";
                    
                    $headers  = 'MIME-Version: 1.0' . "\r\n";
                    $headers .= 'Content-type: text/html; charset=utf-8' . "\r\n";
                    $headers .= 'From: info@pro-poteseni.cz' . "\r\n" .
                                'Reply-To: info@pro-poteseni.cz' . "\r\n";
                    $subject= "Změna osobních údajů.";
                    $zprava= "
                        <html>
                        <head>
                        <title>Automatická zpráva</title>
                        </head>
                        <body>
                        Automatická zpráva<br /><br />
                        Vaše údaje byly změněny na: <br /><br />
                        Eemail:". $_POST['email'] ."<br />
                        Heslo:". $_POST['pass'] ."<br />
                        Jméno:". $_POST['jmeno'] ."<br />
                        Příjmení:". $_POST['prijmeni'] ."<br />
                        Země:". $_POST['zeme'] ."<br />
                        Město:". $_POST['mesto'] ."<br />
                        Ulice:". $_POST['ulice'] ."<br />
                        PSČ:". $_POST['psc'] ."<br />
                        tel.:". $_POST['tel'] ."<br />                
                        <br /><br />S přáním hezkého dne, Tom a Janinka.
                        </body>
                        </html>
                    ";
                    mail($_SESSION['email'], $subject, $zprava, $headers);                    
            };    
            include_once("tpl/shop/profil_list.php");
        break;}
        
        case "diskuze": {              
            $title.= " - Diskuze";
            $nazev="";
            $idVlakno=0;
            if(isset($_POST['tools']))
                if($_POST['tools'] == 'D') $diskuze->delPrispevky($_POST['idPrispevek'], $_POST['table']);
            
            if(isset($_POST['reagovatNaId'])){
                $nazev= "Re:" . $diskuze->getNazev($_POST['reagovatNaId']);
                $idVlakno= $_POST['reagovatNaId'];                
            }          
            $content= $diskuze->showForm($nazev, $idVlakno);
            if(isset($_POST['odeslat'])){
                array_pop($_POST);
                $diskuze->insertPrispevek($_POST, "dis_hla");
            }
            $str= new Tstrankovani($diskuze->getPocPrispevku("dis_hla"), $aktualStr, 10);
            $akt= 0;
            $content.= $diskuze->showPrispevky("dis_hla", $_SESSION['role'], 10,$str->getOd(),$str->getOd()+$str->getPocNaStr(), $akt);
            if($str->getPocStr()>1) $content.= $str->showStrankovani(); 
            include_once 'tpl/shop/diskuze_list.php';
            
        break;}
        
        default: case "404_stranka_nenalezena":{
            include_once("tpl/shop/stranka_nenalezena_list.php");                
            
        break;}
        
        case "mapa-webu": {
            include 'class/shop/sitemap.php';
            $sm= new TsiteMap();
            $obchod= $sm->recurseKategorie("kategorie", 1);
            $navrhy= $sm->recurseKategorie("kategorie_navrhy", 1);
            $sm->generateGoogleSiteMap();
            $sm->generProduktyXML($domena);
            include_once("tpl/shop/sitemap_list.php");                
        break;}
    }
?>

