<?php
    $title= "Obchodní podmínky - Obchod u Toma a Janinky";
    include_once('header.php');
?>
<div class="main" style="margin: 0px auto; width: 600px; float:none;">
    <div class="main1"></div>
    <div class="main2">
        <div class="content">
            <div class="op">
                    <h1>Obchodní podmínky</h1>
                    <h2>1. Všeobecná ustanovení a vymezení pojmů</h2>
                    <p>
                        Níže uvedené obchodní podmínky platí pro nákup v internetovém obchodě www.pro&minus;poteseni.cz. Obchodní podmínky
                        vymezují a upřesňují práva a povinnosti prodávajícího (dodavatel) a kupujícího (zákazník). Veškeré smluvní
                        vztahy jsou uzavřeny v souladu s právním řádem České republiky. Je-li smluvní stranou spotřebitel, řídí se
                        vztahy, které nejsou těmito obchodními podmínkami upravené, občanským zákoníkem (č. 40/1964 Sb.) a zákonem
                        o ochraně spotřebitele (č. 634/1992 Sb.). Je-li smluvní stranou podnikatel, řídí se vztahy neupravené
                        obchodními podmínkami obchodním zákoníkem (č. 513/1991 Sb.), vše ve znění novel. 
                    </p>
                    <h3>Prodávající</h3>
                    <p>
                        Internetový obchod pro-poteseni.cz je provozován firmou Kramárová Iva, IČ:15023532,
                        sídlo: Žireč 20, 54404 Dvůr Králové nad Labem<br /><br />

                        Kontakty:<br />
                        email: info@pro-poteseni.cz (na dotazy odpovídáme do jednoho pracovního dne)
                        tel.:&nbsp;+420&nbsp;739&nbsp;460&nbsp;428
                    </p>
                    <h3>Vymezení pojmů</h3>
                        <ul>
                            <li>
                        Spotřebitelská smlouva smlouva - smlouva kupní, o dílo, případně jiné smlouvy dle občanského zákoníku,
                        pokud smluvními stranami jsou na jedné straně spotřebitel a na druhé straně dodavatel, resp. prodávající.
                            </li>
                            <li>
                        Dodavatel / prodávající - osoba, která při uzavírání a plnění smlouvy jedná v rámci své obchodní nebo
                        jiné podnikatelské činnosti. Jedná se o podnikatele, který přímo nebo prostřednictvím jiných podnikatelů
                        dodává kupujícímu výrobky nebo poskytuje služby.
                            </li>
                            <li>
                        Spotřebitel (kupující) - osoba, která při uzavírání a plnění smlouvy nejedná v rámci své obchodní nebo
                        jiné podnikatelské činnosti. Je to fyzická či právnická osoba, která nakupuje výrobky nebo užívá služby
                        za jiným účelem než pro podnikání s těmito výrobky nebo službami.
                            </li>
                            <li>
                        Kupující, který není spotřebitel - podnikatel, který nakupuje výrobky či užívá služby za účelem svého
                        podnikání s těmito výrobky nebo službami.
                            </li>
                        </ul>
                    <h2>2. Nákup</h2>
                        <p> 
                            Veškeré podané objednávky jsou považovány za závazné.
                            Zákazník podáním objednávky potvrzuje, že se seznámil s tímto nákupním řádem a s dodacími, 
                            platebními a reklamačními podmínkami u nakupovaných výrobků. 
                        </p>
                    <h2>3. Doručení</h2>
                        <p>
                            Pokud je zboží na skladě, bude odesláno během 2-3 pracovních dní od potvrzení objednávky. Pokud zboží
                            není skladem, doručovací lhůta je stanovena na 14-30 dní. Tato doba je závislá na dodavateli oblečení.
                            Zákazník obdrží upřesnění o datu odeslání při potvrzení objednávky.
                        </p>
                    <h2>4. Ceny</h2>
                        <p>                        
                            Jako cena při uzavření kupní smlouvy mezi prodávajícím a kupujícím platí cena uvedená v okamžiku podání
                            závazné objednávky kupujícího. Tato cena bude uvedena v závazné objednávce, na webových stránkách nebo
                            sdělena objednateli telefonicky při telefonické objednávce. Cena je vždy konečná, včetně příslušné sazby DPH.
                        </p>
                    <h2>5. Ochrana osobních údajů</h2>
                        <p>
                            Naše společnost je registrována u Úřadu pro ochranu osobních údajů pod číslem 00034116.
                        </p>                        
                        <p>
                            Povinností provozovatele je dodržování zákona 101/2000 Sb. o ochraně osobních údajů a informací.
                            Registrací nebo objednávkou prostřednictvím e-shopu na www.pro-poteseni.cz souhlasí zákazník závazně se
                            zpracováním osobních údajů pro účely obchodní činnosti v rozsahu zákona 101/2000 Sb. o ochraně osobních
                            údajů a informací.
                        </p>
                        <p>
                            Při prodeji zboží shromažďuje společnost pro-poteseni.cz pouze kontaktní údaje, konkrétně celé jméno, adresu,
                            telefonní čísla a emailové adresy, za účelem odeslání zboží a komunikace se zákazníky. Kupující souhlasí s
                            tím, že tyto údaje mohou být použity prodávajícím k výše uvedenému účelu. Tyto údaje nejsou poskytovány
                            třetím stranám vyjma dopravců. O změnu osobních údajů, nebo jejich vymazání lze požádat osobně, telefonicky
                            nebo emailem.
                        </p>
                        <p>
                            Na telefonickou nebo písemnou žádost zákazníka mohou být jeho osobní údaje v databázi provozovatele
                            změněny nebo odstraněny.                    
                        </p>                        
                    <h2>6. Reklamace a záruční podmínky</h2>
                        <p>
                            Záruční lhůta, která činí u spotřebního zboží 24 měsíců, začíná běžet převzetím zboží. Záruční doba se
                            prodlužuje o dobu, po kterou bylo zboží v záruční opravě. V případě výměny zboží za nové v záruční době
                            začíná běžet nová záruka.
                        </p>
                        <p>
                            Spotřebitel má při uplatnění záruky:
                        </p>
                        <ul>
                            <li>
                                jde-li o vadu odstranitelnou, právo na bezplatné, řádné a včasné odstranění vady, právo na
                                výměnu vadného zboží nebo vadné součásti, není-li to vzhledem k povaze vady neúměrné. Není-li
                                takový postup možný, má právo na přiměřenou slevu z kupní ceny nebo odstoupení od kupní smlouvy,
                            </li>
                            <li>
                                jde-li o vadu neodstranitelnou bránící řádnému užívání zboží, právo na výměnu vadného zboží nebo
                                odstoupení od kupní smlouvy, tatáž práva spotřebiteli náleží, jde-li sice o vady odstranitelné,
                                jestliže však kupující nemůže pro opětovné vyskytnutí vady po opravě nebo pro větší počet vad
                                věc řádně užívat. Za opětovné vyskytnutí vady se považuje, jestliže stejná vada bránící řádnému
                                užívání, jež byla v záruční době již nejméně dvakrát odstraňována, se vyskytne znovu. Větším
                                počtem vad se rozumí, má-li věc současně alespoň tři vady bránící jejímu řádnému užití.
                            </li>
                        </ul>

                        <p>
                            Jde-li o jiné vady neodstranitelné a nepožaduje-li spotřebitel výměnu věci, má právo na přiměřenou slevu
                            z kupní ceny nebo odstoupení od kupní smlouvy.                                     
                        </p>
                        <p>
                            O reklamaci nás, prosím, neprodleně informujte (prostřednictvím  reklamačního formuláře, písemně, nebo
                            telefonicky) ještě před odesláním reklamovaného zboží. Váš nárok posoudíme a individuálně vyřešíme.
                            Následně Vám vydáme písemné potvrzení o tom, kdy byla reklamace uplatněna, co je jejím obsahem, jaký
                            způsob vyřízení reklamace je požadován; dále potvrzení o datu a způsobu vyřízení reklamace, včetně
                            potvrzení o provedení opravy a době jejího trvání, případně písemné odůvodnění zamítnutí reklamace.
                            <br /><br />
                            Kontakt pro uplatňování reklamací:<br />
                            Kramárová Iva – Pro-potesni.cz<br />
                            Žireč 20, 54404 Dvůr Králové nad Labem<br />
                            Tel.: 739 460 428<br />
                            e-mail: info@pro-poteseni.cz
                        </p>
                        <p>
                            O reklamaci rozhodneme ihned, ve složitých případech do tří pracovních dnů. Do této lhůty se
                            nezapočítává doba přiměřená podle druhu výrobku či služby potřebná k odbornému posouzení vady.
                            Reklamaci včetně odstranění vady vyřídíme bez zbytečného odkladu, nejpozději do 30 dnů ode dne
                            uplatnění reklamace. Po uplynutí této lhůty má spotřebitel stejná práva, jako by se jednalo o vadu,
                            kterou nelze odstranit.
                        </p>
                        <p>
                            V případě oprávněné reklamace má zákazník právo na náhradu nákladů spojených s reklamací (zejména
                            poštovného, které uhradil při odeslání reklamovaného zboží). V případě odstoupení od smlouvy z důvodu
                            vady věci má spotřebitel také právo na úhradu nákladů k tomuto odstoupení. Náklady spojené s přepravou
                            zboží k zákazníkovi po vyřízení reklamace jsou hrazeny dodavatelem. Daňový doklad, který obdržíte se
                            zbožím, slouží zároveň jako záruční list.                        
                        </p>
                        <h2>7. Odstoupení od smlouvy</h2>
                        <p>
                            Každá fyzická osoba má ze zákona právo do 14 dní od převzetí zboží odstoupit od smlouvy. V této lhůtě
                            musí kupující spotřebitel doručit prodávajícímu úkon, se kterým současná platná právní úprava spojuje
                            projev vůle směřující k odstoupení od smlouvy. 
                        </p>
                        <p>
                            V případě tohoto rozhodnutí nás o tom, prosíme, písemně nebo telefonicky informujte a dodržte následující:
                        </p>                        
                        <ul>
                            <li>vrácené zboží musí být kompletní</li>
                            <li>zboží nesmí být nikterak porušeno či znehodnoceno</li>
                            <li>doložte prosím námi vystavený prodejní doklad, jeho kopií nebo číslo objednávky</li>
                            <li>uveďte své číslo bankovního účtu</li>
                        </ul>

                        <p>
                            Po obdržení Vašeho dopisu Vás budeme kontaktovat a snažit se splnit Vaše požadavky. Náklady
                            na dopravu spojené s vrácením zboží nese zákazník.
                        </p>
                        <p>
                            Upozornění: Podle § 457 a § 458 odst. 1. Občanského zákoníku je každá ze stran zrušené kupní
                            smlouvy povinna vrátit, co od druhé dostala. Pokud to není dobře možné (byl obsahem smlouvy
                            výkon nebo bylo předmětné zboží poškozeno), musí být poskytnuta peněžitá náhrada.
                        </p>
            </div>
        </div>
    </div>
    <div class="main3" ></div>
<?php include_once('footer.php'); ?>                    